# -*-makefile-*-
#
# Copyright (C) 2003-2010 by the ptxdist project <ptxdist@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

DESTINATION_MFGTOOL := $(IMAGEDIR)/mfgtool
DESTINATION_PROFILE0 := $(DESTINATION_MFGTOOL)/Profiles/MX28 Linux Update
DESTINATION_OS_FW0 := $(DESTINATION_PROFILE0)/OS Firmware
DESTINATION_FILES0 := $(DESTINATION_OS_FW0)/files

SEL_ROOTFS-$(PTXCONF_IMAGE_MFGTOOL)		+= $(IMAGEDIR)/mfgtool

ifdef PTXCONF_IMAGE_MFGTOOL
$(IMAGEDIR)/mfgtool: $(IMAGEDIR)/root.tgz
	@echo -n "Creating mfgtool structure..."
	@rm -rf "$(DESTINATION_MFGTOOL)"

	@mkdir -p "$(DESTINATION_MFGTOOL)"
	@cp $(PTXDIST_PLATFORMCONFIGDIR)/local_src/mfgtool/MfgTool.exe "$(DESTINATION_MFGTOOL)/"

	@mkdir -p "$(DESTINATION_FILES0)"
	@cp $(PTXDIST_PLATFORMCONFIGDIR)/local_src/mfgtool/player.ini "$(DESTINATION_PROFILE0)/player.ini"
	@cp $(PTXDIST_PLATFORMCONFIGDIR)/local_src/mfgtool/imx28_ivt_updater.sb "$(DESTINATION_OS_FW0)/"
	@cp $(PTXDIST_PLATFORMCONFIGDIR)/local_src/mfgtool/ucl.xml "$(DESTINATION_OS_FW0)/ucl.xml"
	@cp $(IMAGEDIR)/imx28_ivt_linux.sb "$(DESTINATION_FILES0)/"
	@cp $(IMAGEDIR)/root.tgz "$(DESTINATION_FILES0)/"

	@echo "done."
endif

# vim: syntax=make
