#!/bin/sh
#
# enable or disable output port

do_enable_output_port()
{
	echo "enable output"
    echo 1 > /dev/out_port
}

do_disable_output_port()
{
	echo "disable output"
    echo 0 > /dev/out_port
}

do_monitor_input_port()
{
	echo "monitor input port"
	watch -n 1 cat /dev/in_port
}

if [ "$1" != "" ]; then

    if [ "$1" = "enable_output_port" ]; then
                do_enable_output_port
                exit
    fi

    if [ "$1" = "disable_output_port" ]; then
                do_disable_output_port
                exit
    fi
	
	if [ "$1" = "monitor_input_port" ]; then
                do_monitor_input_port
                exit
    fi

fi


echo ""
echo "What shall I do? Try one off the following possiblities..."
echo ""
echo "  enable_output_port                        - enable output port"
echo "  disable_output_port                       - disable output port"
echo "  monitor_input_port                        - monitor input port"
