#!/bin/sh

PASSWORD="test"

if id -u "shell_user" >/dev/null 2>&1; then
        echo "shell_user exists"
else
        echo "user does not exist"
       	echo "adduser shell_user "
	addgroup -g 1002 shell_user
	adduser -D -u 1000 -G shell_user -h /home/shell_user -s /bin/sh shell_user
	DATE=$(date -I);
	echo $DATE
	if [ "$DATE" = "1970-01-01" ]; then
		date -s 1970.01.03-00:01
		date
	fi
	(echo $PASSWORD;sleep 1; echo $PASSWORD) | passwd shell_user
fi

if id -u "sftp_user" >/dev/null 2>&1; then
        echo "sftp_user exists"
else
        echo "user does not exist"
        echo "adduser sftp_user"
	addgroup -g 1000 sftpusers
	adduser -D -u 1001 -G sftpusers -h /incoming -s /sbin/nologin sftp_user
	DATE=$(date -I);
	echo $DATE
	if [ "$DATE" = "1970-01-01" ]; then
		date -s 1970.01.03-00:01
		date
	fi
	(echo $PASSWORD;sleep 1; echo $PASSWORD) | passwd sftp_user
fi

#shell_user:x:1000:1000:Linux User,,,:/home/shell_user:/bin/sh
#sftp_user:x:1001:1000:Linux User,,,:/sftp/sftp_user/incoming:/sbin/nologin
