#!/bin/sh

# reset the phy again...
memtool 80018184=0C000000       // set gpio 4,13 to gpio
memtool 80018748=2000           // clear output level HIGH
memtool 80018944=2000           // enable output
sleep 1
memtool 80018744=2000           // set output level HIGH
####################################################################

if [ -e /dnt/smgw/halcl ];
then
	MAC0=`/dnt/smgw/halcl eeprom read -mac0 | awk '/mac0/ {print $2}'`
	MAC1=`/dnt/smgw/halcl eeprom read -mac1 | awk '/mac1/ {print $2}'`
	MAC2=`/dnt/smgw/halcl eeprom read -mac2 | awk '/mac2/ {print $2}'`
	
	echo "MAC eth0: $MAC0"
	echo "MAC eth1/eth1.1: $MAC1"
	echo "MAC eth1.2: $MAC2"
	
	/sbin/ifconfig eth0 hw ether ${MAC0}
	/sbin/ifconfig eth1 hw ether ${MAC1}
	
	/sbin/ifconfig eth1.1 hw ether ${MAC1}
	/sbin/ifconfig eth1.2 hw ether ${MAC1}
	
	
	/sbin/ifconfig eth1 down
	/sbin/ifconfig eth1 0.0.0.0
	
	/sbin/ifconfig eth1.1 192.168.168.168
	/sbin/ifconfig eth1.2 192.168.200.168
	
	/dnt/smgw/halcl resetsw
	/dnt/smgw/halcl configsw

	if [ -e "/.production" ];
	then
		/sbin/ifconfig eth1.1 up
		/sbin/ifconfig eth1.2 up
	else
		/sbin/ifconfig eth0 down
		/sbin/ifconfig eth1.1 up
                /sbin/ifconfig eth1.2 down
	fi
else
	echo "Config MAC to ether devices failed: No libhal found !"
fi
