#!/bin/sh
DISK_ROOTFS0=""
DISK_ROOTFS1="/mnt/rootfs1"
DISK_DATA="/dnt/data"
ERROR=0

echo "Mount and format rootfs1...."
mkdir /mnt/rootfs1
#ubidetach -p /dev/mtd2
#ubiformat /dev/mtd2 -y
#ubiattach /dev/ubi_ctrl -m 2 -d 1
#ubimkvol /dev/ubi1 -n 0 -N rootfs1 -m
mount -t ubifs ubi1:rootfs1 /mnt/rootfs1

echo 0 > errrootfs0
echo 0 > okrootfs0
echo `date` > /home/logrootfs0

echo 0 > errrootfs1
echo 0 > okrootfs1
echo date > /home/logrootfs1

echo 0 > errdata
echo 0 > okdata
echo date > /home/logdata

while true
do

	### remove any testfile (*.fff)
	rm $DISK_ROOTFS0/*.fff
	rm $DISK_ROOTFS1/*.fff
	rm $DISK_DATA/*.fff

	### test rootfs0	
	/dnt/smgw/halcl blinkled3
	/usr/bin/f3write $DISK_ROOTFS0/	
	/usr/bin/f3read $DISK_ROOTFS0/ | tail -n 6 > /tmp/test
	if [ ! $? -eq 0 ];
	then 
		ERROR=1
	fi
	rm $DISK_ROOTFS0/*.fff
	echo "---------------------------------------------------------" >> /home/logrootfs0
	cat /tmp/test >> /home/logrootfs0
	if [ $ERROR -eq 0 ];
	then
		echo "f3read successfull: rootfs0"
		OK=`cat /home/okrootfs0`
		OK=`expr $OK + 1`
		echo $OK > /home/okrootfs0
	else
		ERR=`cat /home/errrootfs0`
		ERR=`expr $ERR + 1`
		echo $ERR > /home/errrootfs0
	fi
	/dnt/smgw/halcl led3 off

	ERROR=0
	### test rootfs1
	/dnt/smgw/halcl blinkled4
	/usr/bin/f3write $DISK_ROOTFS1	
	/usr/bin/f3read $DISK_ROOTFS1 | tail -n 6 > /tmp/test
	if [ ! $? -eq 0 ];
	then 
		ERROR=1
	fi
	rm $DISK_ROOTFS1/*.fff
	echo "---------------------------------------------------------" >> /home/logrootfs1
	cat /tmp/test >> /home/logrootfs1
	if [ $ERROR -eq 0 ];
	then
		echo "f3read successfull: rootfs1"
		OK=`cat /home/okrootfs1`
		OK=`expr $OK + 1`
		echo $OK > /home/okrootfs1
	else
		ERR=`cat /home/errrootfs1`
		ERR=`expr $ERR + 1`
		echo $ERR > /home/errrootfs1
	fi
	/dnt/smgw/halcl led4 off

	ERROR=0
	### test data
	/dnt/smgw/halcl blinkled5
	/usr/bin/f3write $DISK_DATA	
	/usr/bin/f3read $DISK_DATA | tail -n 6 > /tmp/test
	if [ ! $? -eq 0 ];
	then 
		ERROR=1
	fi
	rm $DISK_DATA/*.fff
	echo "---------------------------------------------------------" >> /home/logdata
	cat /tmp/test >> /home/logdata
	if [ $ERROR -eq 0 ];
	then
		echo "f3read successfull: data"
		OK=`cat /home/okdata`
		OK=`expr $OK + 1`
		echo $OK > /home/okdata
	else
		ERR=`cat /home/errdata`
		ERR=`expr $ERR + 1`
		echo $ERR > /home/errdata
	fi
	/dnt/smgw/halcl led5 off
done
