#ifndef FCS16_H_
#define FCS16_H_

#ifdef __cplusplus
#define EXT_FUNCTION extern "C"
#else
#define EXT_FUNCTION
#endif

// calculate 16bit FCS as defined by RFC1662
EXT_FUNCTION unsigned short calc_fcs16(const unsigned char *cp, const int len);

// verify 16bit FCS as defined by RFC1662
EXT_FUNCTION int verify_fcs16(const unsigned char *cp, const int len);

#endif
