#!/bin/sh
#
# enable or disable LEDs
#


do_enable_leds()
{
	echo 0 > /sys/class/leds/led0/brightness
	echo 0 > /sys/class/leds/led1/brightness
	echo 0 > /sys/class/leds/led2/brightness
	echo 0 > /sys/class/leds/led3/brightness
	echo 0 > /sys/class/leds/led4/brightness
	echo 0 > /sys/class/leds/led5/brightness
	echo 0 > /sys/class/leds/led6/brightness
	echo 0 > /sys/class/leds/led7/brightness
}

do_disable_leds()
{
	echo 255 > /sys/class/leds/led0/brightness
	echo 255 > /sys/class/leds/led1/brightness
	echo 255 > /sys/class/leds/led2/brightness
	echo 255 > /sys/class/leds/led3/brightness
	echo 255 > /sys/class/leds/led4/brightness
	echo 255 > /sys/class/leds/led5/brightness
	echo 255 > /sys/class/leds/led6/brightness
	echo 255 > /sys/class/leds/led7/brightness
}


do_enable_led()
{
        echo "enable LED ${X}"

        case "$X" in
            0) echo "led 0"
                  echo 0 > /sys/class/leds/led0/brightness
                ;;
            1) echo "led 1"
                   echo 0 > /sys/class/leds/led1/brightness
                ;;
            2) echo "led 2"
                  echo 0 > /sys/class/leds/led2/brightness
                ;;
            3) echo "led 3"
                  echo 0 > /sys/class/leds/led3/brightness
                ;;
            4) echo "led 4"
                   echo 0 > /sys/class/leds/led4/brightness
                ;;
			5) echo "led 5"
                  echo 0 > /sys/class/leds/led5/brightness
                ;;
            6) echo "led 6"
                  echo 0 > /sys/class/leds/led6/brightness
                ;;
            7) echo "led 7"
                   echo 0 > /sys/class/leds/led7/brightness
                ;;
			*) echo "chose led between 0 and 7"
                ;;
    esac
}


do_disable_led()
{
        echo "disable LED ${X}"

        case "$X" in
            0) echo "led 0"
                  echo 255 > /sys/class/leds/led0/brightness
                ;;
            1) echo "led 1"
                   echo 255 > /sys/class/leds/led1/brightness
                ;;
            2) echo "led 2"
                  echo 255 > /sys/class/leds/led2/brightness
                ;;
            3) echo "led 3"
                  echo 255 > /sys/class/leds/led3/brightness
                ;;
            4) echo "led 4"
                   echo 255 > /sys/class/leds/led4/brightness
                ;;
			5) echo "led 5"
                  echo 255 > /sys/class/leds/led5/brightness
                ;;
            6) echo "led 6"
                  echo 255 > /sys/class/leds/led6/brightness
                ;;
            7) echo "led 7"
                   echo 255 > /sys/class/leds/led7/brightness
                ;;
			*) echo "choose led between 0 and 7"
                ;;
    esac
}




if [ "$1" != "" ]; then

    if [ "$1" = "enable_all_leds" ]; then
                do_enable_leds
                exit
    fi

    if [ "$1" = "disable_all_leds" ]; then
                do_disable_leds
                exit

    fi

	if [ "$1" = "enable_led" ]; then
            if [ "$2" != "" ]; then
                X=$2
               do_enable_led
                exit
            fi
    fi

	if [ "$1" = "disable_led" ]; then
            if [ "$2" != "" ]; then
                X=$2
                do_disable_led
                exit
            fi
    fi

fi

echo ""
echo "What shall I do? Try one off the following possiblities..."
echo ""
echo "  enable_all_leds                        - enable leds"
echo "  disable_all_leds                       - disable leds"
echo "  enable_led <x>                         - enable led x"
echo "  disable_led <x>                        - disable led x"
