# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT3202HALCLINITRAM) += dnt3202halclinitram

#
# Paths and names
#
DNT3202HALCLINITRAM_VERSION	:= 0.1
DNT3202HALCLINITRAM		    := dnt3202halclinitram
DNT3202HALCLINITRAM_URL		:= file://local_src/$(DNT3202HALCLINITRAM)
DNT3202HALCINITRAM_SOURCE   := $(DNT3202HALCINITRAM)
DNT3202HALCLINITRAM_DIR		:= $(BUILDDIR)/$(DNT3202HALCLINITRAM)
DNT3202HALCLINITRAM_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(DNT3202HALCINITRAM):
#	@$(call targetinfo)
#	@$(call get, DNT3202HALCLINITRAM)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#DNT3202HALCLINITRAM_PATH	:= PATH=$(CROSS_PATH)

#$(STATEDIR)/dnt3202halclinitram.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, DNT3202HALCLINITRAM)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202halclinitram.compile:
	@$(call targetinfo)
#	@$(call world/compile, DNT3202HALCLINITRAM)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202halclinitram.install:
	@$(call targetinfo)
#	@$(call world/install, DNT3202HALCLINITRAM)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202halclinitram.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt3202halclinitram)
	@$(call install_fixup, dnt3202halclinitram,PRIORITY,optional)
	@$(call install_fixup, dnt3202halclinitram,SECTION,base)
	@$(call install_fixup, dnt3202halclinitram,AUTHOR,"<mgo>")
	@$(call install_fixup, dnt3202halclinitram,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, dnt3202halclinitram, 0, 0, 0755, $(DNT3202HALCLINITRAM_DIR)/halclinitram, /usr/bin/halclinitram)

	@$(call install_finish, dnt3202halclinitram)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt3202halclinitram.clean:
#	@$(call targetinfo)
#	@-cd $(DNT3202HALCLINITRAM_DIR) && \
#		$(DNT3202HALCLINITRAM_ENV) $(DNT3202HALCLINITRAM_PATH) $(MAKE) clean
#	@$(call clean_pkg, DNT3202HALCLINITRAM)

# vim: syntax=make
