# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany
# Copyright (C) 2013 by mgo <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT3202LIBHAL) += dnt3202libhal

DNT3202LIBHAL_VERSION	:= 0.1
DNT3202LIBHAL_MD5              :=
DNT3202LIBHAL          := dnt3202libhal
DNT3202LIBHAL_URL              := file://local_src/$(DNT3202LIBHAL)
DNT3202LIBHAL_DIR              := $(BUILDDIR)/$(DNT3202LIBHAL)
DNT3202LIBHAL_LICENSE  :=


# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt3202libhal.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt3202libhal.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

DNT3202LIBHAL_CONF_TOOL        := NO
DNT3202LIBHAL_MAKE_ENV := $(CROSS_ENV)
#DNT3202LIBHAL_MAKE_ENV += -I$(KERNEL_DIR)/drivers/spi/

#$(STATEDIR)/dnt3202libhal.prepare:
#	@$(call targetinfo)
#	@echo $(KERNEL_DIR)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------
#
#$(STATEDIR)/dnt3202libhal.compile:
#	@$(call targetinfo)
#	@printenv | grep PTX
#	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
#               -C $(KERNEL_DIR) $(DNT3202LIBHAL_DIR)
#	$(MAKE) --include-dir=$(KERNEL_DIR) $(DNT3202LIBHAL_DIR)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202libhal.install:
	@cp $(PTXDIST_WORKSPACE)/local_src/dnt3202libhal/libhal.so $(PTXDIST_SYSROOT_TARGET)/usr/lib
	@cp $(PTXDIST_WORKSPACE)/local_src/dnt3202libhal/hal_sdk.h $(PTXDIST_SYSROOT_TARGET)/usr/include
	@$(call targetinfo)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202libhal.targetinstall:
	@$(call targetinfo)
#
# TODO: To build your own package, if this step requires one
	@$(call install_init, dnt3202libhal)
	@$(call install_fixup,dnt3202libhal,PRIORITY,optional)
	@$(call install_fixup,dnt3202libhal,SECTION,base)
	@$(call install_fixup,dnt3202libhal,AUTHOR,"mgo <>")
	@$(call install_fixup,dnt3202libhal,DESCRIPTION,missing)
#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	#@$(call install_copy, dnt3202libhal, 0, 0, 0755, \
	#	$(PTXDIST_WORKSPACE)/local_src/dnt3202libhal/halcl, /dnt/smgw/halcl)
	
	@$(call install_copy, dnt3202libhal, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/local_src/dnt3202libhal/libhal.so, /usr/lib/libhal.so)

	#@$(call install_lib, dnt3202libhal, 0, 0, 0644, $(PTXDIST_WORKSPACE)/local_src/dnt3202libhal/libhal.so)

	@$(call install_finish, dnt3202libhal)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202libhal.clean:
	@$(call targetinfo)
	@-cd $(DNT3202LIBHAL_DIR) && \
		$(DNT3202LIBHAL_ENV) $(DNT3202LIBHAL_PATH) $(MAKE) clean
	@$(call clean_pkg, DNT3202LIBHAL)

# vim: syntax=make
