# -*-makefile-*-
#
# Copyright (C) 2013 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8196STARTUP) += dnt8196startup

#
# Paths and names
#
DNT8196STARTUP_VERSION	:= 0.1
DNT8196STARTUP_MD5	:=
DNT8196STARTUP		:= dnt8196startup
DNT8196STARTUP_URL	:= file://local_src/$(DNT8196STARTUP)
DNT8196STARTUP_DIR	:= $(BUILDDIR)/$(DNT8196STARTUP)
DNT8196STARTUP_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8196startup.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8196startup.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8196startup.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8196startup.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8196startup.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt8196startup)
	@$(call install_fixup, dnt8196startup,PRIORITY,optional)
	@$(call install_fixup, dnt8196startup,SECTION,base)
	@$(call install_fixup, dnt8196startup,AUTHOR,"<>")
	@$(call install_fixup, dnt8196startup,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#

ifdef PTXCONF_DNT8196STARTUP_SERVICE
	@$(call install_copy, dnt8196startup, 0, 0, 0640, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/dnt8196startup.service, \
                /etc/systemd/system/dnt8196startup.service)
endif

ifdef PTXCONF_DNT8196STARTUP_WDTRST
	@$(call install_copy, dnt8196startup, 0, 0, 0755, $(DNT8196STARTUP_DIR)/wdt-rst.sh, /usr/local/bin/wdt-rst.sh)
	@$(call install_copy, dnt8196startup, 0, 0, 0640, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/startwdtrst.service, \
                /etc/systemd/system/startwdtrst.service)
endif

	@$(call install_copy, dnt8196startup, 0, 0, 0755, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/020_services, \
                /etc/rc.once.d/020_services)

	@$(call install_finish, dnt8196startup)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8196startup.clean:
	@$(call targetinfo)
	@$(call clean_pkg, DNT8196STARTUP)

# vim: syntax=make
