# -*-makefile-*-
#
# Copyright (C) 2014 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8209HALCL) += dnt8209halcl

#
# Paths and names
#
DNT8209HALCL_VERSION	:= 1
DNT8209HALCL_MD5		:=
DNT8209HALCL		:= dnt8209halcl
DNT8209HALCL_URL		:= file://local_src/$(DNT8209HALCL)
DNT8209HALCL_DIR		:= $(BUILDDIR)/$(DNT8209HALCL)
DNT8209HALCL_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209halcl.extract:
#	@$(call targetinfo)
#	@$(call clean, $(DNT8209HALCL_DIR))
#	@$(call extract, DNT8209HALCL)
#	@$(call patchin, DNT8209HALCL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#DNT8209HALCL_PATH	:= PATH=$(CROSS_PATH)
DNT8209HALCL_CONF_TOOL	:= NO
DNT8209HALCL_MAKE_ENV	:= $(CROSS_ENV)
#PTXDIST_CROSS_LDFLAGS += -L$(PTXDIST_SYSROOT_TARGET)/usr/lib -lhal -lip4tc

#$(STATEDIR)/dnt8209halcl.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, DNT8209HALCL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209halcl.compile:
#	@$(call targetinfo)
#	@$(call world/compile, DNT8209HALCL)	
#	@printenv | grep PTX
#	@-cd $(DNT8209HALCL_DIR) && \
#		$(DNT8209HALCL_ENV) $(DNT8209HALCL_PATH) $(MAKE) halcl
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209halcl.install:
#	@$(call targetinfo)
#	@$(call world/install, DNT8209HALCL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209halcl.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt8209halcl)
	@$(call install_fixup, dnt8209halcl,PRIORITY,optional)
	@$(call install_fixup, dnt8209halcl,SECTION,base)
	@$(call install_fixup, dnt8209halcl,AUTHOR,"<>")
	@$(call install_fixup, dnt8209halcl,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	# remove the dnt8209libhal from SDK, its part of the app solution
	@rm -rf $(PTXDIST_SYSROOT_TARGET)/usr/lib/libhal.so
	@rm -rf $(PTXDIST_SYSROOT_TARGET)/usr/include/hal.h

	@$(call install_copy, dnt8209halcl, 0, 0, 0755, $(DNT8209HALCL_DIR)/halcl, /dnt/smgw/halcl)

	@$(call install_finish, dnt8209halcl)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209halcl.clean:
	@$(call targetinfo)
	@-cd $(DNT8209HALCL_DIR) && \
		$(DNT8209HALCL_ENV) $(DNT8209HALCL_PATH) $(MAKE) clean
	@$(call clean_pkg, DNT8209HALCL)

# vim: syntax=make
