# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8209HALCLINITRAM) += dnt8209halclinitram

#
# Paths and names
#
DNT8209HALCLINITRAM_VERSION	:= 0.1
DNT8209HALCLINITRAM_MD5		:=
DNT8209HALCLINITRAM		:= dnt8209halclinitram
DNT8209HALCLINITRAM_URL		:= file://local_src/$(DNT8209HALCLINITRAM)
DNT8209HALCLINITRAM_DIR		:= $(BUILDDIR)/$(DNT8209HALCLINITRAM)
DNT8209HALCLINITRAM_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209halclinitram.extract:
#	@$(call targetinfo)
#	@$(call clean, $(DNT8209HALCLINITRAM_DIR))
#	@$(call extract, DNT8209HALCLINITRAM)
#	@$(call patchin, DNT8209HALCLINITRAM)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#DNT8209HALCLINITRAM_PATH	:= PATH=$(CROSS_PATH)
DNT8209HALCLINITRAM_CONF_TOOL	:= NO
DNT8209HALCLINITRAM_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/dnt8209halclinitram.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, DNT8209HALCLINITRAM)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209halclinitram.compile:
#	@$(call targetinfo)
#	@$(call world/compile, DNT8209HALCLINITRAM)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209halclinitram.install:
#	@$(call targetinfo)
#	@$(call world/install, DNT8209HALCLINITRAM)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209halclinitram.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt8209halclinitram)
	@$(call install_fixup, dnt8209halclinitram,PRIORITY,optional)
	@$(call install_fixup, dnt8209halclinitram,SECTION,base)
	@$(call install_fixup, dnt8209halclinitram,AUTHOR,"<mgo>")
	@$(call install_fixup, dnt8209halclinitram,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, dnt8209halclinitram, 0, 0, 0755, $(DNT8209HALCLINITRAM_DIR)/halcl, /usr/bin/halcl)

	@$(call install_finish, dnt8209halclinitram)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209halclinitram.clean:
	@$(call targetinfo)
	@-cd $(DNT8209HALCLINITRAM_DIR) && \
		$(DNT8209HALCLINITRAM_ENV) $(DNT8209HALCLINITRAM_PATH) $(MAKE) clean
	@$(call clean_pkg, DNT8209HALCLINITRAM)

# vim: syntax=make
