# -*-makefile-*-
#
# Copyright (C) 2013 by mgo <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8209LIBHAL) += dnt8209libhal

DNT8209LIBHAL_VERSION	:= 0.1
DNT8209LIBHAL_MD5              :=
DNT8209LIBHAL          := dnt8209libhal
DNT8209LIBHAL_URL              := file://local_src/$(DNT8209LIBHAL)
DNT8209LIBHAL_DIR              := $(BUILDDIR)/$(DNT8209LIBHAL)
DNT8209LIBHAL_LICENSE  :=


# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209libhal.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209libhal.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

DNT8209LIBHAL_CONF_TOOL        := NO
DNT8209LIBHAL_MAKE_ENV := $(CROSS_ENV)
#DNT8209LIBHAL_MAKE_ENV += -I$(KERNEL_DIR)/drivers/spi/

#$(STATEDIR)/dnt8209libhal.prepare:
#	@$(call targetinfo)
#	@echo $(KERNEL_DIR)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------
#
#$(STATEDIR)/dnt8209libhal.compile:
#	@$(call targetinfo)
#	@printenv | grep PTX
#	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
#               -C $(KERNEL_DIR) $(DNT8209LIBHAL_DIR)
#	$(MAKE) --include-dir=$(KERNEL_DIR) $(DNT8209LIBHAL_DIR)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209libhal.install:
	@cp $(PTXDIST_WORKSPACE)/local_src/dnt8209libhal/libhal.so $(PTXDIST_SYSROOT_TARGET)/usr/lib
	@cp $(PTXDIST_WORKSPACE)/local_src/dnt8209libhal/hal.h $(PTXDIST_SYSROOT_TARGET)/usr/include
	@$(call targetinfo)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209libhal.targetinstall:
	@$(call targetinfo)
#
# TODO: To build your own package, if this step requires one
	@$(call install_init, dnt8209libhal)
	@$(call install_fixup,dnt8209libhal,PRIORITY,optional)
	@$(call install_fixup,dnt8209libhal,SECTION,base)
	@$(call install_fixup,dnt8209libhal,AUTHOR,"mgo <>")
	@$(call install_fixup,dnt8209libhal,DESCRIPTION,missing)
#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	#@$(call install_copy, dnt8209libhal, 0, 0, 0755, \
	#	$(PTXDIST_WORKSPACE)/local_src/dnt8209libhal/halcl, /dnt/smgw/halcl)
	
	@$(call install_copy, dnt8209libhal, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/local_src/dnt8209libhal/libhal.so, /usr/lib/libhal.so)

	#@$(call install_lib, dnt8209libhal, 0, 0, 0644, $(PTXDIST_WORKSPACE)/local_src/dnt8209libhal/libhal.so)

	@$(call install_finish, dnt8209libhal)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209libhal.clean:
	@$(call targetinfo)
	@-cd $(DNT8209LIBHAL_DIR) && \
		$(DNT8209LIBHAL_ENV) $(DNT8209LIBHAL_PATH) $(MAKE) clean
	@$(call clean_pkg, DNT8209LIBHAL)

# vim: syntax=make
