# -*-makefile-*-
#
# Copyright (C) 2014 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8223HALCL) += dnt8223halcl

#
# Paths and names
#
DNT8223HALCL_VERSION	:= 1
DNT8223HALCL_MD5		:=
DNT8223HALCL		:= dnt8223halcl
DNT8223HALCL_URL		:= file://local_src/$(DNT8223HALCL)
DNT8223HALCL_DIR		:= $(BUILDDIR)/$(DNT8223HALCL)
DNT8223HALCL_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223halcl.extract:
#	@$(call targetinfo)
#	@$(call clean, $(DNT8223HALCL_DIR))
#	@$(call extract, DNT8223HALCL)
#	@$(call patchin, DNT8223HALCL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#DNT8223HALCL_PATH	:= PATH=$(CROSS_PATH)
DNT8223HALCL_CONF_TOOL	:= NO
DNT8223HALCL_MAKE_ENV	:= $(CROSS_ENV)
#PTXDIST_CROSS_LDFLAGS += -L$(PTXDIST_SYSROOT_TARGET)/usr/lib -lhal -lip4tc

#$(STATEDIR)/dnt8223halcl.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, DNT8223HALCL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223halcl.compile:
#	@$(call targetinfo)
#	@$(call world/compile, DNT8223HALCL)	
#	@printenv | grep PTX
#	@-cd $(DNT8223HALCL_DIR) && \
#		$(DNT8223HALCL_ENV) $(DNT8223HALCL_PATH) $(MAKE) halcl
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223halcl.install:
#	@$(call targetinfo)
#	@$(call world/install, DNT8223HALCL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223halcl.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt8223halcl)
	@$(call install_fixup, dnt8223halcl,PRIORITY,optional)
	@$(call install_fixup, dnt8223halcl,SECTION,base)
	@$(call install_fixup, dnt8223halcl,AUTHOR,"<>")
	@$(call install_fixup, dnt8223halcl,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	# remove the dnt8223libhal from SDK, its part of the app solution
	@rm -rf $(PTXDIST_SYSROOT_TARGET)/usr/lib/libhal.so
	@rm -rf $(PTXDIST_SYSROOT_TARGET)/usr/include/hal.h

	@$(call install_copy, dnt8223halcl, 0, 0, 0755, $(DNT8223HALCL_DIR)/halcl, /dnt/smgw/halcl)

	@$(call install_finish, dnt8223halcl)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223halcl.clean:
	@$(call targetinfo)
	@-cd $(DNT8223HALCL_DIR) && \
		$(DNT8223HALCL_ENV) $(DNT8223HALCL_PATH) $(MAKE) clean
	@$(call clean_pkg, DNT8223HALCL)

# vim: syntax=make
