# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT_CHROOT) += dnt_chroot

#
# Paths and names
#
DNT_CHROOT_VERSION	:= 0.01
DNT_CHROOT		:= dnt_chroot
DNT_CHROOT_URL		:= file://$(PTXDIST_PLATFORMCONFIGDIR)/local_src/$(DNT_CHROOT)
#DNT_CHROOT_SOURCE	:= $(SRCDIR)/$(DNT_CHROOT).$(DNT_CHROOT_SUFFIX)
DNT_CHROOT_DIR		:= $(BUILDDIR)/$(DNT_CHROOT)
DNT_CHROOT_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(DNT_CHROOT_SOURCE):
#	@$(call targetinfo)
#	@$(call get, DNT_CHROOT)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#DNT_CHROOT_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#DNT_CHROOT_CONF_TOOL	:= autoconf
#DNT_CHROOT_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/dnt_chroot.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(DNT_CHROOT_DIR)/config.cache)
#	cd $(DNT_CHROOT_DIR) && \
#		$(DNT_CHROOT_PATH) $(DNT_CHROOT_ENV) \
#		./configure $(DNT_CHROOT_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt_chroot.compile:
	@$(call targetinfo)
#	@$(call world/compile, DNT_CHROOT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt_chroot.install:
	@$(call targetinfo)
#	@$(call world/install, DNT_CHROOT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt_chroot.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt_chroot)
	@$(call install_fixup,dnt_chroot,PRIORITY,optional)
	@$(call install_fixup,dnt_chroot,SECTION,base)
	@$(call install_fixup,dnt_chroot,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup,dnt_chroot,DESCRIPTION,missing)
#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish

ifdef PTXCONF_DNT_CHROOT
	@$(call install_copy, dnt_chroot, 0, 0, 0755, /dnt/chroot)
	@$(call install_tree, dnt_chroot, 0, 0, $(PTXDIST_PLATFORMCONFIGDIR)/local_src/dnt_chroot/, /dnt/chroot)
endif

	#@$(call install_copy, dnt_chroot, 0, 0, 0755, $(DNT_CHROOT_DIR)/foobar, /dev/null)

	@$(call install_finish, dnt_chroot)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt_chroot.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, DNT_CHROOT)

# vim: syntax=make
