# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_F3RW_TEST) += f3rw_test

#
# Paths and names
#
F3RW_TEST_VERSION	:= 2.2
F3RW_TEST_MD5		:=
F3RW_TEST		:= f3rw_test
F3RW_TEST_URL		:= file://local_src/$(F3RW_TEST)
F3RW_TEST_DIR		:= $(BUILDDIR)/$(F3RW_TEST)
F3RW_TEST_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/f3rw_test.extract:
#	@$(call targetinfo)
#	@$(call clean, $(F3RW_TEST_DIR))
#	@$(call extract, F3RW_TEST)
#	@$(call patchin, F3RW_TEST)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#F3RW_TEST_PATH	:= PATH=$(CROSS_PATH)
F3RW_TEST_CONF_TOOL	:= NO
F3RW_TEST_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/f3rw_test.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, F3RW_TEST)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/f3rw_test.compile:
#	@$(call targetinfo)
#	@$(call world/compile, F3RW_TEST)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/f3rw_test.install:
#	@$(call targetinfo)
#	@$(call world/install, F3RW_TEST)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/f3rw_test.targetinstall:
	@$(call targetinfo)

	@$(call install_init, f3rw_test)
	@$(call install_fixup, f3rw_test,PRIORITY,optional)
	@$(call install_fixup, f3rw_test,SECTION,base)
	@$(call install_fixup, f3rw_test,AUTHOR,"<mgo>")
	@$(call install_fixup, f3rw_test,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, f3rw_test, 0, 0, 0755, $(F3RW_TEST_DIR)/f3read, /usr/bin/f3read)
	@$(call install_copy, f3rw_test, 0, 0, 0755, $(F3RW_TEST_DIR)/f3write, /usr/bin/f3write)
	@$(call install_copy, f3rw_test, 0, 0, 0755, $(F3RW_TEST_DIR)/test_rw.sh, /usr/bin/test_rw.sh)

	@$(call install_finish, f3rw_test)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/f3rw_test.clean:
	@$(call targetinfo)
	@-cd $(F3RW_TEST_DIR) && \
		$(F3RW_TEST_ENV) $(F3RW_TEST_PATH) $(MAKE) clean
	@$(call clean_pkg, F3RW_TEST)

# vim: syntax=make
