# -*-makefile-*-
#
# Copyright (C) 2015 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_FCOUNTER) += fcounter

#
# Paths and names
#
FCOUNTER_VERSION	:= 
FCOUNTER_MD5		:=
FCOUNTER		:= fcounter
#FCOUNTER_URL		:= file://local_src/$(FCOUNTER)
FCOUNTER_URL            := lndir://$(PTXDIST_WORKSPACE)/local_src/$(FCOUNTER)
FCOUNTER_DIR		:= $(BUILDDIR)/$(FCOUNTER)
FCOUNTER_LICENSE	:= unknown

ifdef PTXCONF_FCOUNTER
$(STATEDIR)/kernel.targetinstall.post: $(STATEDIR)/fcounter.targetinstall
endif

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/fcounter.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/fcounter.compile:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(FCOUNTER_DIR) \
		modules
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/fcounter.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/fcounter.targetinstall:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(FCOUNTER_DIR) \
		modules_install
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/fcounter.clean:
	@$(call targetinfo)
	@-cd $(FCOUNTER_DIR) && \
		$(FCOUNTER_ENV) $(FCOUNTER_PATH) $(MAKE) clean
	@$(call clean_pkg, FCOUNTER)

# vim: syntax=make
