# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_IFTOP) += iftop

#
# Paths and names
#
IFTOP_VERSION	:= 0.17
IFTOP_MD5		:=
IFTOP		:= iftop-$(IFTOP_VERSION)
IFTOP_SUFFIX	:= tar.gz
IFTOP_URL		:= /$(IFTOP).$(IFTOP_SUFFIX)
IFTOP_SOURCE	:= $(SRCDIR)/$(IFTOP).$(IFTOP_SUFFIX)
IFTOP_DIR		:= $(BUILDDIR)/$(IFTOP)
IFTOP_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(IFTOP_SOURCE):
#	@$(call targetinfo)
#	@$(call get, IFTOP)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#IFTOP_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
IFTOP_CONF_TOOL	:= autoconf
#IFTOP_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/iftop.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(IFTOP_DIR)/config.cache)
#	cd $(IFTOP_DIR) && \
#		$(IFTOP_PATH) $(IFTOP_ENV) \
#		./configure $(IFTOP_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/iftop.compile:
#	@$(call targetinfo)
#	@$(call world/compile, IFTOP)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/iftop.install:
#	@$(call targetinfo)
#	@$(call world/install, IFTOP)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/iftop.targetinstall:
	@$(call targetinfo)

	@$(call install_init, iftop)
	@$(call install_fixup, iftop,PRIORITY,optional)
	@$(call install_fixup, iftop,SECTION,base)
	@$(call install_fixup, iftop,AUTHOR,"<mgo>")
	@$(call install_fixup, iftop,DESCRIPTION,missing)

	@$(call install_copy, iftop, 0, 0, 0755, $(IFTOP_DIR)/iftop, /usr/bin/iftop)

	@$(call install_finish, iftop)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/iftop.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, IFTOP)

# vim: syntax=make
