# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_IMX28_POWER) += imx28_power

#
# Paths and names and versions
#
IMX28_POWER_VERSION	:= 1.0
IMX28_POWER		:= imx28_power
IMX28_POWER_URL		:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(IMX28_POWER)
IMX28_POWER_DIR		:= $(BUILDDIR)/$(IMX28_POWER)
IMX28_POWER_LICENSE	:= unknown

ifdef PTXCONF_IMX28_POWER
$(STATEDIR)/kernel.targetinstall.post: $(STATEDIR)/imx28_power.targetinstall
endif

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_power.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_power.compile:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(IMX28_POWER_DIR) \
		modules
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_power.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_power.targetinstall:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(IMX28_POWER_DIR) \
		modules_install
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/imx28_power.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, IMX28_POWER)

# vim: syntax=make
