# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_IMX28_REGS) += imx28_regs

#
# Paths and names and versions
#
IMX28_REGS_VERSION	:= 1.0
IMX28_REGS		:= imx28_regs
IMX28_REGS_URL		:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(IMX28_REGS)
IMX28_REGS_DIR		:= $(BUILDDIR)/$(IMX28_REGS)
IMX28_REGS_LICENSE	:= unknown

ifdef PTXCONF_IMX28_REGS
$(STATEDIR)/kernel.targetinstall.post: $(STATEDIR)/imx28_regs.targetinstall
endif

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_regs.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_regs.compile:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(IMX28_REGS_DIR) \
		modules
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_regs.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_regs.targetinstall:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(IMX28_REGS_DIR) \
		modules_install
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/imx28_regs.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, IMX28_REGS)

# vim: syntax=make
