# -*-makefile-*-
#
# Copyright (C) 2013 by <bba>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_KSZ8895) += ksz8895

#
# Paths and names
#
KSZ8895_VERSION	:= 1.0
KSZ8895_MD5		:=
KSZ8895		:= ksz8895
KSZ8895_URL		:= file://local_src/$(KSZ8895)
KSZ8895_DIR		:= $(BUILDDIR)/$(KSZ8895)
KSZ8895_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/ksz8895.extract:
#	@$(call targetinfo)
#	@$(call clean, $(KSZ8895_DIR))
#	@$(call extract, KSZ8895)
#	@$(call patchin, KSZ8895)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#KSZ8895_PATH	:= PATH=$(CROSS_PATH)
KSZ8895_CONF_TOOL	:= NO
KSZ8895_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/ksz8895.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, KSZ8895)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/ksz8895.compile:
#	@$(call targetinfo)
#	@$(call world/compile, KSZ8895)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/ksz8895.install:
#	@$(call targetinfo)
#	@$(call world/install, KSZ8895)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ksz8895.targetinstall:
	@$(call targetinfo)

	@$(call install_init, ksz8895)
	@$(call install_fixup, ksz8895,PRIORITY,optional)
	@$(call install_fixup, ksz8895,SECTION,base)
	@$(call install_fixup, ksz8895,AUTHOR,"<bba>")
	@$(call install_fixup, ksz8895,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#

	@$(call install_copy, ksz8895, 0, 0, 0755, $(KSZ8895_DIR)/ksz8895_util, /usr/bin/ksz8895_util)

	@$(call install_finish, ksz8895)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/ksz8895.clean:
	@$(call targetinfo)
	@-cd $(KSZ8895_DIR) && \
		$(KSZ8895_ENV) $(KSZ8895_PATH) $(MAKE) clean
	@$(call clean_pkg, KSZ8895)

# vim: syntax=make
