# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MEMTOOL) += memtool

#
# Paths and names
#
MEMTOOL_VERSION	:= 0.01
MEMTOOL_MD5		:=
MEMTOOL		:= memtool
MEMTOOL_URL		:= file://local_src/$(MEMTOOL)
MEMTOOL_DIR		:= $(BUILDDIR)/$(MEMTOOL)
MEMTOOL_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/memtool.extract:
#	@$(call targetinfo)
#	@$(call clean, $(MEMTOOL_DIR))
#	@$(call extract, MEMTOOL)
#	@$(call patchin, MEMTOOL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#MEMTOOL_PATH	:= PATH=$(CROSS_PATH)
MEMTOOL_CONF_TOOL	:= NO
MEMTOOL_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/memtool.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, MEMTOOL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/memtool.compile:
#	@$(call targetinfo)
#	@$(call world/compile, MEMTOOL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/memtool.install:
#	@$(call targetinfo)
#	@$(call world/install, MEMTOOL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/memtool.targetinstall:
	@$(call targetinfo)

	@$(call install_init, memtool)
	@$(call install_fixup, memtool,PRIORITY,optional)
	@$(call install_fixup, memtool,SECTION,base)
	@$(call install_fixup, memtool,AUTHOR,"<BBa>")
	@$(call install_fixup, memtool,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, memtool, 0, 0, 0755, $(MEMTOOL_DIR)/memtool, /usr/bin/memtool)

	@$(call install_finish, memtool)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/memtool.clean:
	@$(call targetinfo)
	@-cd $(MEMTOOL_DIR) && \
		$(MEMTOOL_ENV) $(MEMTOOL_PATH) $(MAKE) clean
	@$(call clean_pkg, MEMTOOL)

# vim: syntax=make
