# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MII_CLOCK) += mii_clock

#
# Paths and names
#
MII_CLOCK_VERSION	:= 0.0.1
MII_CLOCK_MD5		:=
MII_CLOCK		:= mii_clock
MII_CLOCK_SUFFIX	:= 
MII_CLOCK_URL		:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(MII_CLOCK)
#MII_CLOCK_SOURCE	:= $(SRCDIR)/$(MII_CLOCK).$(MII_CLOCK_SUFFIX)
MII_CLOCK_DIR		:= $(BUILDDIR)/$(MII_CLOCK)
MII_CLOCK_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(MII_CLOCK_SOURCE):
#	@$(call targetinfo)
#	@$(call get, MII_CLOCK)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#MII_CLOCK_PATH	:= PATH=$(CROSS_PATH)
MII_CLOCK_CONF_TOOL	:= NO
MII_CLOCK_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/mii_clock.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(MII_CLOCK_DIR)/config.cache)
#	cd $(MII_CLOCK_DIR) && \
#		$(MII_CLOCK_PATH) $(MII_CLOCK_ENV) \
#		./configure $(MII_CLOCK_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/mii_clock.compile:
#	@$(call targetinfo)
#	@$(call world/compile, MII_CLOCK)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/mii_clock.install:
#	@$(call targetinfo)
#	@$(call world/install, MII_CLOCK)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mii_clock.targetinstall:
	@$(call targetinfo)

	@$(call install_init, mii_clock)
	@$(call install_fixup, mii_clock,PRIORITY,optional)
	@$(call install_fixup, mii_clock,SECTION,base)
	@$(call install_fixup, mii_clock,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, mii_clock,DESCRIPTION,missing)

	@$(call install_copy, mii_clock, 0, 0, 0755, $(MII_CLOCK_DIR)/mii_clock, /usr/bin/mii_clock)

	@$(call install_finish, mii_clock)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/mii_clock.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, MII_CLOCK)

# vim: syntax=make
