# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MII_DEMO) += mii_demo

#
# Paths and names
#
MII_DEMO_VERSION	:= 0.01
MII_DEMO_MD5		:=
MII_DEMO		:= mii_demo
MII_DEMO_URL		:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(MII_DEMO)
#MII_DEMO_SOURCE	:= $(SRCDIR)/$(MII_DEMO)
MII_DEMO_DIR		:= $(BUILDDIR)/$(MII_DEMO)
MII_DEMO_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(MII_DEMO_SOURCE):
#	@$(call targetinfo)
#	@$(call get, MII_DEMO)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#MII_DEMO_PATH	:= PATH=$(CROSS_PATH)
MII_DEMO_CONF_TOOL	:= NO
MII_DEMO_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/mii_demo.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(MII_DEMO_DIR)/config.cache)
#	cd $(MII_DEMO_DIR) && \
#		$(MII_DEMO_PATH) $(MII_DEMO_ENV) \
#		./configure $(MII_DEMO_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/mii_demo.compile:
#	@$(call targetinfo)
#	@$(call world/compile, MII_DEMO)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/mii_demo.install:
#	@$(call targetinfo)
#	@$(call world/install, MII_DEMO)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mii_demo.targetinstall:
	@$(call targetinfo)

	@$(call install_init, mii_demo)
	@$(call install_fixup, mii_demo,PRIORITY,optional)
	@$(call install_fixup, mii_demo,SECTION,base)
	@$(call install_fixup, mii_demo,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, mii_demo,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, mii_demo, 0, 0, 0755, $(MII_DEMO_DIR)/mii_demo, /usr/bin/mii_demo)

	@$(call install_finish, mii_demo)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/mii_demo.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, MII_DEMO)

# vim: syntax=make
