# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MII_MEMTOOL) += mii_memtool

#
# Paths and names
#
MII_MEMTOOL_VERSION	:= 0.0.1
MII_MEMTOOL_MD5		:=
MII_MEMTOOL		:= mii_memtool
MII_MEMTOOL_URL		:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(MII_MEMTOOL)
#MII_MEMTOOL_SOURCE		:= $(MII_MEMTOOL_URL)
MII_MEMTOOL_DIR		:= $(BUILDDIR)/$(MII_MEMTOOL)
MII_MEMTOOL_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(MII_MEMTOOL_SOURCE):
#	@$(call targetinfo)
#	@$(call get, MII_MEMTOOL)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#MII_MEMTOOL_PATH	:= PATH=$(CROSS_PATH)
MII_MEMTOOL_CONF_TOOL	:= NO
MII_MEMTOOL_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/mii_memtool.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(MII_MEMTOOL_DIR)/config.cache)
#	cd $(MII_MEMTOOL_DIR) && \
#		$(MII_MEMTOOL_PATH) $(MII_MEMTOOL_ENV) \
#		./configure $(MII_MEMTOOL_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/mii_memtool.compile:
#	@$(call targetinfo)
#	@$(call world/compile, MII_MEMTOOL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/mii_memtool.install:
#	@$(call targetinfo)
#	@$(call world/install, MII_MEMTOOL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mii_memtool.targetinstall:
	@$(call targetinfo)

	@$(call install_init, mii_memtool)
	@$(call install_fixup, mii_memtool,PRIORITY,optional)
	@$(call install_fixup, mii_memtool,SECTION,base)
	@$(call install_fixup, mii_memtool,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, mii_memtool,DESCRIPTION,missing)

	@$(call install_copy, mii_memtool, 0, 0, 0755, $(MII_MEMTOOL_DIR)/mii_memtool, /usr/bin/mii_memtool)

	@$(call install_finish, mii_memtool)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/mii_memtool.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, MII_MEMTOOL)

# vim: syntax=make
