# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_STP_SPOOF) += stp-spoof

#
# Paths and names
#
STP_SPOOF_VERSION	:= 0.0.2
STP_SPOOF_MD5		:=
STP_SPOOF		:= stp-spoof
STP_SPOOF_URL	:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(STP_SPOOF)
#STP_SPOOF_SOURCE	:= $(SRCDIR)/$(STP_SPOOF).$(STP_SPOOF_SUFFIX)
STP_SPOOF_DIR		:= $(BUILDDIR)/$(STP_SPOOF)
STP_SPOOF_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STP_SPOOF_SOURCE):
#	@$(call targetinfo)
#	@$(call get, STP_SPOOF)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#STP_SPOOF_PATH	:= PATH=$(CROSS_PATH)
STP_SPOOF_CONF_TOOL	:= NO
STP_SPOOF_MAKE_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#STP_SPOOF_CONF_TOOL	:= autoconf
#STP_SPOOF_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/stp-spoof.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(STP_SPOOF_DIR)/config.cache)
#	cd $(STP_SPOOF_DIR) && \
#		$(STP_SPOOF_PATH) $(STP_SPOOF_ENV) \
#		./configure $(STP_SPOOF_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/stp-spoof.compile:
#	@$(call targetinfo)
#	@$(call world/compile, STP_SPOOF)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/stp-spoof.install:
#	@$(call targetinfo)
#	@$(call world/install, STP_SPOOF)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/stp-spoof.targetinstall:
	@$(call targetinfo)

	@$(call install_init, stp-spoof)
	@$(call install_fixup, stp-spoof,PRIORITY,optional)
	@$(call install_fixup, stp-spoof,SECTION,base)
	@$(call install_fixup, stp-spoof,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, stp-spoof,DESCRIPTION,missing)

	@$(call install_copy, stp-spoof, 0, 0, 0755, $(STP_SPOOF_DIR)/stpspoof, /usr/bin/stpspoof)

	@$(call install_finish, stp-spoof)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/stp-spoof.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, STP_SPOOF)

# vim: syntax=make
