# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_SYSTEM_VERSION) += system-version

#
# Paths and names
#
SYSTEM_VERSION_VERSION	:= 0.0.1
SYSTEM_VERSION_MD5		:=
SYSTEM_VERSION		:= system-version
SYSTEM_VERSION_URL		:= file://local_src/$(SYSTEM_VERSION)
#SYSTEM_VERSION_SOURCE	:= $(SRCDIR)
SYSTEM_VERSION_DIR		:= $(BUILDDIR)/$(SYSTEM_VERSION)
SYSTEM_VERSION_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(SYSTEM_VERSION_SOURCE):
#	@$(call targetinfo)
#	@$(call get, SYSTEM_VERSION)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#SYSTEM_VERSION_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
SYSTEM_VERSION_CONF_TOOL	:= NO
SYSTEM_VERSION_MAKE_ENV := $(CROSS_ENV)
#SYSTEM_VERSION_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/system-version.prepare:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/system-version.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/system-version.install:
	@$(call targetinfo)
#	@$(call world/install, SYSTEM_VERSION)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/system-version.targetinstall:
	@$(call targetinfo)

	@$(call install_init, system-version)
	@$(call install_fixup, system-version,PRIORITY,optional)
	@$(call install_fixup, system-version,SECTION,base)
	@$(call install_fixup, system-version,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, system-version,DESCRIPTION,missing)

	@$(call install_copy, system-version, 0, 0, 0640,\
		$(PTXDIST_WORKSPACE)/projectroot/etc/system.version, \
		/etc/system.version)

	@$(call install_finish, system-version)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/system-version.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, SYSTEM_VERSION)

# vim: syntax=make
