# -*-makefile-*-
#
# Copyright (C) 2014 by <SSI@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TAINY_DEFAULT_HTTPD_CONF) += tainy_default_httpd_conf

#
# Paths and names
#
TAINY_DEFAULT_HTTPD_CONF_VERSION	:= 0.0.4
TAINY_DEFAULT_HTTPD_CONF_MD5		:=
TAINY_DEFAULT_HTTPD_CONF		:= tainy_default_httpd_conf
TAINY_DEFAULT_HTTPD_CONF_SUFFIX	:= 
TAINY_DEFAULT_HTTPD_CONF_URL		:= file://local_src/$(TAINY_DEFAULT_HTTPD_CONF)
#TAINY_DEFAULT_HTTPD_CONF_SOURCE	:= $(SRCDIR)/$(TAINY_DEFAULT_HTTPD_CONF).$(TAINY_DEFAULT_HTTPD_CONF_SUFFIX)
TAINY_DEFAULT_HTTPD_CONF_DIR		:= $(BUILDDIR)/$(TAINY_DEFAULT_HTTPD_CONF)
TAINY_DEFAULT_HTTPD_CONF_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(TAINY_DEFAULT_HTTPD_CONF_SOURCE):
#	@$(call targetinfo)
#	@$(call get, TAINY_DEFAULT_HTTPD_CONF)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TAINY_DEFAULT_HTTPD_CONF_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#TAINY_DEFAULT_HTTPD_CONF_CONF_TOOL	:= autoconf
#TAINY_DEFAULT_HTTPD_CONF_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/tainy_default_httpd_conf.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(TAINY_DEFAULT_HTTPD_CONF_DIR)/config.cache)
#	cd $(TAINY_DEFAULT_HTTPD_CONF_DIR) && \
#		$(TAINY_DEFAULT_HTTPD_CONF_PATH) $(TAINY_DEFAULT_HTTPD_CONF_ENV) \
#		./configure $(TAINY_DEFAULT_HTTPD_CONF_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/tainy_default_httpd_conf.compile:
	@$(call targetinfo)
#	@$(call world/compile, TAINY_DEFAULT_HTTPD_CONF)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/tainy_default_httpd_conf.install:
	@$(call targetinfo)
#	@$(call world/install, TAINY_DEFAULT_HTTPD_CONF)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/tainy_default_httpd_conf.targetinstall:
	@$(call targetinfo)

	@$(call install_init, tainy_default_httpd_conf)
	@$(call install_fixup, tainy_default_httpd_conf,PRIORITY,optional)
	@$(call install_fixup, tainy_default_httpd_conf,SECTION,base)
	@$(call install_fixup, tainy_default_httpd_conf,AUTHOR,"<SSI@neuhaus.de>")
	@$(call install_fixup, tainy_default_httpd_conf,DESCRIPTION,missing)

	@$(call install_copy, tainy_default_httpd_conf, 0, 0, 0644, $(TAINY_DEFAULT_HTTPD_CONF_DIR)/httpd.conf, /etc/apache2/httpd_tainy.conf)
	@$(call install_copy, tainy_default_httpd_conf, 0, 0, 0644, $(TAINY_DEFAULT_HTTPD_CONF_DIR)/ports.conf, /etc/apache2/ports.conf)
	@$(call install_copy, tainy_default_httpd_conf, 0, 0, 0644, $(TAINY_DEFAULT_HTTPD_CONF_DIR)/mod_ssl.conf, /etc/apache2/mod_ssl.conf)
	@$(call install_copy, tainy_default_httpd_conf, 0, 0, 0644, $(TAINY_DEFAULT_HTTPD_CONF_DIR)/sites-available/default, /etc/apache2/sites-available/default)
	@$(call install_copy, tainy_default_httpd_conf, 0, 0, 0644, $(TAINY_DEFAULT_HTTPD_CONF_DIR)/sites-available/default-ssl, /etc/apache2/sites-available/default-ssl)
	@$(call install_copy, tainy_default_httpd_conf, 0, 0, 0644, $(TAINY_DEFAULT_HTTPD_CONF_DIR)/ssl/cert/server.crt, /etc/apache2/ssl/cert/server.crt)
	@$(call install_copy, tainy_default_httpd_conf, 0, 0, 0644, $(TAINY_DEFAULT_HTTPD_CONF_DIR)/ssl/key/server.key, /etc/apache2/ssl/key/server.key)

	@$(call install_finish, tainy_default_httpd_conf)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/tainy_default_httpd_conf.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, TAINY_DEFAULT_HTTPD_CONF)

# vim: syntax=make
