# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TEST_AUART) += test_auart

#
# Paths and names
#
TEST_AUART_VERSION	:= 1.0
TEST_AUART_MD5		:=
TEST_AUART		:= test_auart
TEST_AUART_URL		:= file://local_src/$(TEST_AUART)
TEST_AUART_DIR		:= $(BUILDDIR)/$(TEST_AUART)
TEST_AUART_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_auart.extract:
#	@$(call targetinfo)
#	@$(call clean, $(TEST_AUART_DIR))
#	@$(call extract, TEST_AUART)
#	@$(call patchin, TEST_AUART)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TEST_AUART_PATH	:= PATH=$(CROSS_PATH)
TEST_AUART_CONF_TOOL	:= NO
TEST_AUART_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/test_auart.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, TEST_AUART)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_auart.compile:
#	@$(call targetinfo)
#	@$(call world/compile, TEST_AUART)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_auart.install:
#	@$(call targetinfo)
#	@$(call world/install, TEST_AUART)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/test_auart.targetinstall:
	@$(call targetinfo)

	@$(call install_init, test_auart)
	@$(call install_fixup, test_auart,PRIORITY,optional)
	@$(call install_fixup, test_auart,SECTION,base)
	@$(call install_fixup, test_auart,AUTHOR,"<BBa>")
	@$(call install_fixup, test_auart,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, test_auart, 0, 0, 0755, $(TEST_AUART_DIR)/test_auart, /usr/bin/test_auart)

	@$(call install_finish, test_auart)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/test_auart.clean:
	@$(call targetinfo)
	@-cd $(TEST_AUART_DIR) && \
		$(TEST_AUART_ENV) $(TEST_AUART_PATH) $(MAKE) clean
	@$(call clean_pkg, TEST_AUART)

# vim: syntax=make
