# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TEST_POWER) += test_power

#
# Paths and names
#
TEST_POWER_VERSION	:= 1.0
TEST_POWER_MD5		:=
TEST_POWER		:= test_power
TEST_POWER_URL		:= file://local_src/$(TEST_POWER)
TEST_POWER_DIR		:= $(BUILDDIR)/$(TEST_POWER)
TEST_POWER_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_power.extract:
#	@$(call targetinfo)
#	@$(call clean, $(TEST_POWER_DIR))
#	@$(call extract, TEST_POWER)
#	@$(call patchin, TEST_POWER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TEST_POWER_PATH	:= PATH=$(CROSS_PATH)
TEST_POWER_CONF_TOOL	:= NO
TEST_POWER_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/test_power.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, TEST_POWER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_power.compile:
#	@$(call targetinfo)
#	@$(call world/compile, TEST_POWER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_power.install:
#	@$(call targetinfo)
#	@$(call world/install, TEST_POWER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/test_power.targetinstall:
	@$(call targetinfo)

	@$(call install_init, test_power)
	@$(call install_fixup, test_power,PRIORITY,optional)
	@$(call install_fixup, test_power,SECTION,base)
	@$(call install_fixup, test_power,AUTHOR,"<BBa>")
	@$(call install_fixup, test_power,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, test_power, 0, 0, 0755, $(TEST_POWER_DIR)/test_power, /usr/bin/test_power)

	@$(call install_finish, test_power)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/test_power.clean:
	@$(call targetinfo)
	@-cd $(TEST_POWER_DIR) && \
		$(TEST_POWER_ENV) $(TEST_POWER_PATH) $(MAKE) clean
	@$(call clean_pkg, TEST_POWER)

# vim: syntax=make
