# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TEST_WATCHDOG) += test_watchdog

#
# Paths and names
#
TEST_WATCHDOG_VERSION	:= 1.0
TEST_WATCHDOG_MD5		:=
TEST_WATCHDOG		:= test_watchdog
TEST_WATCHDOG_URL		:= file://local_src/$(TEST_WATCHDOG)
TEST_WATCHDOG_DIR		:= $(BUILDDIR)/$(TEST_WATCHDOG)
TEST_WATCHDOG_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_watchdog.extract:
#	@$(call targetinfo)
#	@$(call clean, $(TEST_WATCHDOG_DIR))
#	@$(call extract, TEST_WATCHDOG)
#	@$(call patchin, TEST_WATCHDOG)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TEST_WATCHDOG_PATH	:= PATH=$(CROSS_PATH)
TEST_WATCHDOG_CONF_TOOL	:= NO
TEST_WATCHDOG_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/test_watchdog.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, TEST_WATCHDOG)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_watchdog.compile:
#	@$(call targetinfo)
#	@$(call world/compile, TEST_WATCHDOG)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_watchdog.install:
#	@$(call targetinfo)
#	@$(call world/install, TEST_WATCHDOG)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/test_watchdog.targetinstall:
	@$(call targetinfo)

	@$(call install_init, test_watchdog)
	@$(call install_fixup, test_watchdog,PRIORITY,optional)
	@$(call install_fixup, test_watchdog,SECTION,base)
	@$(call install_fixup, test_watchdog,AUTHOR,"<BBa>")
	@$(call install_fixup, test_watchdog,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, test_watchdog, 0, 0, 0755, $(TEST_WATCHDOG_DIR)/test_watchdog, /usr/bin/test_watchdog)

	@$(call install_finish, test_watchdog)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/test_watchdog.clean:
	@$(call targetinfo)
	@-cd $(TEST_WATCHDOG_DIR) && \
		$(TEST_WATCHDOG_ENV) $(TEST_WATCHDOG_PATH) $(MAKE) clean
	@$(call clean_pkg, TEST_WATCHDOG)

# vim: syntax=make
