# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TEST_WMBUS) += test_wmbus

#
# Paths and names
#
TEST_WMBUS_VERSION	:= 1.0
TEST_WMBUS_MD5		:=
TEST_WMBUS		:= test_wmbus
TEST_WMBUS_URL		:= file://local_src/$(TEST_WMBUS)
TEST_WMBUS_DIR		:= $(BUILDDIR)/$(TEST_WMBUS)
TEST_WMBUS_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_wmbus.extract:
#	@$(call targetinfo)
#	@$(call clean, $(TEST_WMBUS_DIR))
#	@$(call extract, TEST_WMBUS)
#	@$(call patchin, TEST_WMBUS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TEST_WMBUS_PATH	:= PATH=$(CROSS_PATH)
TEST_WMBUS_CONF_TOOL	:= NO
TEST_WMBUS_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/test_wmbus.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, TEST_WMBUS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_wmbus.compile:
#	@$(call targetinfo)
#	@$(call world/compile, TEST_WMBUS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_wmbus.install:
#	@$(call targetinfo)
#	@$(call world/install, TEST_WMBUS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/test_wmbus.targetinstall:
	@$(call targetinfo)

	@$(call install_init, test_wmbus)
	@$(call install_fixup, test_wmbus,PRIORITY,optional)
	@$(call install_fixup, test_wmbus,SECTION,base)
	@$(call install_fixup, test_wmbus,AUTHOR,"<BBa>")
	@$(call install_fixup, test_wmbus,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, test_wmbus, 0, 0, 0755, $(TEST_WMBUS_DIR)/test_wmbus, /usr/bin/test_wmbus)

	@$(call install_finish, test_wmbus)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/test_wmbus.clean:
	@$(call targetinfo)
	@-cd $(TEST_WMBUS_DIR) && \
		$(TEST_WMBUS_ENV) $(TEST_WMBUS_PATH) $(MAKE) clean
	@$(call clean_pkg, TEST_WMBUS)

# vim: syntax=make
