# -*-makefile-*-
#
# Copyright (C) 2013 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TEST_WMBUS_AMBER) += test_wmbus_amber

#
# Paths and names
#
TEST_WMBUS_AMBER_VERSION	:= 1.0
TEST_WMBUS_AMBER_MD5		:=
TEST_WMBUS_AMBER		:= test_wmbus_amber
TEST_WMBUS_AMBER_URL		:= file://local_src/$(TEST_WMBUS_AMBER)
TEST_WMBUS_AMBER_DIR		:= $(BUILDDIR)/$(TEST_WMBUS_AMBER)
TEST_WMBUS_AMBER_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_wmbus_amber.extract:
#	@$(call targetinfo)
#	@$(call clean, $(TEST_WMBUS_AMBER_DIR))
#	@$(call extract, TEST_WMBUS_AMBER)
#	@$(call patchin, TEST_WMBUS_AMBER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TEST_WMBUS_AMBER_PATH	:= PATH=$(CROSS_PATH)
TEST_WMBUS_AMBER_CONF_TOOL	:= NO
TEST_WMBUS_AMBER_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/test_wmbus_amber.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, TEST_WMBUS_AMBER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_wmbus_amber.compile:
#	@$(call targetinfo)
#	@$(call world/compile, TEST_WMBUS_AMBER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_wmbus_amber.install:
#	@$(call targetinfo)
#	@$(call world/install, TEST_WMBUS_AMBER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/test_wmbus_amber.targetinstall:
	@$(call targetinfo)

	@$(call install_init, test_wmbus_amber)
	@$(call install_fixup, test_wmbus_amber,PRIORITY,optional)
	@$(call install_fixup, test_wmbus_amber,SECTION,base)
	@$(call install_fixup, test_wmbus_amber,AUTHOR,"<>")
	@$(call install_fixup, test_wmbus_amber,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, test_wmbus_amber, 0, 0, 0755, $(TEST_WMBUS_AMBER_DIR)/test_wmbus_amber, /usr/bin/test_wmbus_amber)

	@$(call install_finish, test_wmbus_amber)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/test_wmbus_amber.clean:
	@$(call targetinfo)
	@-cd $(TEST_WMBUS_AMBER_DIR) && \
		$(TEST_WMBUS_AMBER_ENV) $(TEST_WMBUS_AMBER_PATH) $(MAKE) clean
	@$(call clean_pkg, TEST_WMBUS_AMBER)

# vim: syntax=make
