# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TTY_DEMO) += tty_demo

#
# Paths and names
#
TTY_DEMO_VERSION	:= 0.01
TTY_DEMO_MD5		:=
TTY_DEMO		:= tty_demo
TTY_DEMO_URL		:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(TTY_DEMO)
#TTY_DEMO_SOURCE	:= $(TTY_DEMO_URL)
TTY_DEMO_DIR		:= $(BUILDDIR)/$(TTY_DEMO)
TTY_DEMO_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(TTY_DEMO_SOURCE):
#	@$(call targetinfo)
#	@$(call get, TTY_DEMO)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TTY_DEMO_PATH	:= PATH=$(CROSS_PATH)
TTY_DEMO_CONF_TOOL	:= NO
TTY_DEMO_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/tty_demo.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(TTY_DEMO_DIR)/config.cache)
#	cd $(TTY_DEMO_DIR) && \
#		$(TTY_DEMO_PATH) $(TTY_DEMO_ENV) \
#		./configure $(TTY_DEMO_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/tty_demo.compile:
#	@$(call targetinfo)
#	@$(call world/compile, TTY_DEMO)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/tty_demo.install:
#	@$(call targetinfo)
#	@$(call world/install, TTY_DEMO)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/tty_demo.targetinstall:
	@$(call targetinfo)

	@$(call install_init, tty_demo)
	@$(call install_fixup, tty_demo,PRIORITY,optional)
	@$(call install_fixup, tty_demo,SECTION,base)
	@$(call install_fixup, tty_demo,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, tty_demo,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, tty_demo, 0, 0, 0755, $(TTY_DEMO_DIR)/tty_demo, /usr/bin/tty_demo)

	@$(call install_finish, tty_demo)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/tty_demo.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, TTY_DEMO)

# vim: syntax=make
