# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_UUC) += uuc

#
# Paths and names
#
UUC_VERSION	:= 10.12.01
UUC_MD5		:= 633b7df89286cc51276f5bbcb0e986a8
UUC		:= uuc-$(UUC_VERSION)
UUC_SUFFIX	:= tar.gz
UUC_URL		:= /$(UUC).$(UUC_SUFFIX)
UUC_SOURCE	:= $(SRCDIR)/$(UUC).$(UUC_SUFFIX)
UUC_DIR		:= $(BUILDDIR)/$(UUC)
UUC_LICENSE	:= GPL

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/uuc.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/uuc.targetinstall:
	@$(call targetinfo)

	@$(call install_init, uuc)
	@$(call install_fixup, uuc,PRIORITY,optional)
	@$(call install_fixup, uuc,SECTION,base)
	@$(call install_fixup, uuc,AUTHOR,"<BBa>")
	@$(call install_fixup, uuc,DESCRIPTION,missing)

#	@$(call install_copy, uuc, 0, 0, 0755, -, /usr/bin/uuc)

	@$(call install_finish, uuc)

	@$(call touch)

# vim: syntax=make
