DNT3202 OpenSource Board Support Package
========================================

Requirements:

* Ubuntu 12.04.5 LTS or Ubuntu 14.04.5 LTS
* ptxdist-2013.06
* OSELAS.Toolchain-2012.12.0


Install Toolchain:

```
sudo touch /etc/apt/sources.list.d/pengutronix.list
```

apply the following line into:

```
deb http://debian.pengutronix.de/debian/ sid main contrib non-free
```

```
sudo apt-get update
sudo apt-get install oselas.toolchain-2012.12.0-arm-v5te-linux-gnueabi-gcc-4.9.2-glibc-2.20-binutils-2.24-kernel-3.16-sanitized
```

Necessary Packages for the Build:

```
sudo apt-get install libncurses-dev texinfo ctags git git-svn ccache libtool libmount-dev autogen libghc-zlib-dev libc-ares-dev libc-ares2 iproute-dev xutils-dev libreadline-dev htop ack-grep mosh protobuf-compiler libprotobuf-dev libutempter-dev git-flow gdecrypt libpam0g-dev apt-file gnupg-agent flex bison python-dev pengutronix-archive-keyring gawk
```

Install ptxdist:

```
tar -jxvf ptxdist-2013.06.0.tar.bz2
cd ptxdist-2013.06.0/
./configure
make
sudo make install
```

Build Instructions:

```
./select.sh dnt3202initramfs
./p images
./select.sh dnt3202
./p images
```

The Build images is stored in platform-dnt3202/images/

