#!/bin/bash
VERSION_TAG=$1

export LANG=de_DE.UTF-8
projectRootPath="$(pwd)"
echo "======================= Build Report ========================="
echo "if everything is fine you can download the image from T_PROJECT/3202\ -\ \(xMOD\ 2014\)\ TAINY\ iQS/11-Firmware/Exe-Files/LastBuild_OS "
date
currentDate=$(date +%Y-%m-%d)
cd "$projectRootPath"
echo "===================== SET SYMLINK TO MIRROR =================="
ln -vsf $HOME/src/ src
ln -vsf /usr/local/bin/ptxdist-2013.06.0  p
echo "pengotronix Version: "
./p version
echo "===================== CLEAN EVERYTHING ======================="
./p clean --force
./p distclean --force
echo "======================= BUILD EVERYTHING ====================="
echo "select Project dnt3202initramfs"
./select.sh dnt3202initramfs $VERSION_TAG
echo "Build Project dnt3202initramfs"
./p images
echo "select Project dnt3202 Version=$VERSION_TAG"
./select.sh dnt3202 $VERSION_TAG
echo "=================== SET SYMLINK TO CUSTOM KEY ================"
ln -vsf $HOME/customkey.txt "$projectRootPath/configs/platform-dnt3202/customkey.txt"
echo "Build Project dnt3202"
set -e
./p images
echo "===================== EVERYTHING DONE ========================"
date
