#!/bin/sh

DEST_MFGTOOL=$1/Profiles
DEST_FILES1="$DEST_MFGTOOL/Update Bsi/OS Firmware/files"
DEST_FILES2="$DEST_MFGTOOL/Update Bsi with OtpInit/OS Firmware/files"

#echo "DestMfgTool: $DEST_MFGTOOL"

APPIPK=`ls ~/winhome/OfficialBuild/*.ipk`
#echo "$APPIPK"
#echo "$IPKNAME"
if [ $? -eq 0 ];
then
	IPKNAME=`ls ~/winhome/OfficialBuild/*.ipk | awk -F "/" '{ print $6 }'`
	cp $APPIPK "$DEST_FILES1"
	cp $APPIPK "$DEST_FILES2"

	echo "    <CMD type=\"push\" body=\"$ mkdir -p /mnt/ubi0/home/install\">Create Dir: install</CMD>" >> "$DEST_FILES1/../ucl.xml"
	echo "    <CMD type=\"push\" body=\"send\" file=\"files/$IPKNAME\">Transfer ipk</CMD>" >> "$DEST_FILES1/../ucl.xml"
	echo "    <CMD type=\"push\" body=\"$ cp \$FILE /mnt/ubi0/home/install/app.ipk\">Copy ipk</CMD>" >> "$DEST_FILES1/../ucl.xml"

	echo "    <CMD type=\"push\" body=\"$ mkdir -p /mnt/ubi0/home/install\">Create Dir: install</CMD>" >> "$DEST_FILES2/../ucl.xml"
	echo "    <CMD type=\"push\" body=\"send\" file=\"files/$IPKNAME\">Transfer ipk</CMD>" >> "$DEST_FILES2/../ucl.xml"
	echo "    <CMD type=\"push\" body=\"$ cp \$FILE /mnt/ubi0/home/install/app.ipk\">Copy ipk</CMD>" >> "$DEST_FILES2/../ucl.xml"
fi

echo "    <CMD type=\"push\" body=\"$ umount /mnt/ubi0; rm -rf /mnt/ubi0\">Unmounting rootfs</CMD>" >> "$DEST_FILES1/../ucl.xml"
echo "    <CMD type=\"push\" body=\"frf\">flush</CMD>" >> "$DEST_FILES1/../ucl.xml"
echo "    <CMD type=\"push\" body=\"$ echo DNT-REBOOT\">First Reboot</CMD>" >> "$DEST_FILES1/../ucl.xml"
echo "    <CMD type=\"push\" body=\"!3\">Ready</CMD>" >> "$DEST_FILES1/../ucl.xml"
echo "  </LIST>" >> "$DEST_FILES1/../ucl.xml"
echo "</UCL>" >> "$DEST_FILES1/../ucl.xml"

echo "    <CMD type=\"push\" body=\"$ umount /mnt/ubi0; rm -rf /mnt/ubi0\">Unmounting rootfs</CMD>" >> "$DEST_FILES2/../ucl.xml"
echo "    <CMD type=\"push\" body=\"frf\">flush</CMD>" >> "$DEST_FILES2/../ucl.xml"
echo "    <CMD type=\"push\" body=\"$ echo DNT-REBOOT\">First Reboot</CMD>" >> "$DEST_FILES2/../ucl.xml"
echo "    <CMD type=\"push\" body=\"!3\">Ready</CMD>" >> "$DEST_FILES2/../ucl.xml"
echo "  </LIST>" >> "$DEST_FILES2/../ucl.xml"
echo "</UCL>" >> "$DEST_FILES2/../ucl.xml"

