#!/bin/sh

	echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	echo "!!!!!                  enter production mode                         !!!!!"
	echo "!!!!!               configure ethernet settings                      !!!!!"
	echo "!!!!!         disable Application related systemd services           !!!!!"
	echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
	MAC0=`/usr/bin/halclinitram eeprom read -mac0 | awk '/mac0/ {print $2}'`
	MAC1=`/usr/bin/halclinitram eeprom read -mac1 | awk '/mac1/ {print $2}'`
    /sbin/ifconfig eth0 hw ether ${MAC0}
    /sbin/ifconfig eth1 hw ether ${MAC1}
    /usr/local/bin/enable_switch.sh
    /sbin/ifconfig eth0 192.168.2.1
    /sbin/ifconfig eth1 192.168.1.1
    /usr/local/bin/disable_systemd_services.sh

    echo "open firewall in production_mode"
	/usr/sbin/iptables -P INPUT ACCEPT
	/usr/sbin/iptables -P OUTPUT ACCEPT
	/usr/sbin/iptables -F

	/usr/sbin/ip6tables -P INPUT ACCEPT
	/usr/sbin/ip6tables -P OUTPUT ACCEPT
	/usr/sbin/ip6tables -F


    touch /etc/production_mode
