#!/bin/sh

if [ -e /dnt/tainy/tools/halcl ];
then
	MAC0=`/dnt/tainy/tools/halcl eeprom read -mac0 | awk '/mac0/ {print $2}'`
	MAC1=`/dnt/tainy/tools/halcl eeprom read -mac1 | awk '/mac1/ {print $2}'`
#	MAC2=`/dnt/tainy/tools/halcl eeprom read -mac2 | awk '/mac2/ {print $2}'`
	IP0=`/sbin/ifconfig eth0 | grep 'inet addr:' | cut -d: -f2 | awk '{ print $1}'`
	IP1=`/sbin/ifconfig eth1 | grep 'inet addr:' | cut -d: -f2 | awk '{ print $1}'`
	
	echo "MAC eth0: $MAC0"
	echo "MAC eth1: $MAC1"
	echo "IP0 eth0: $IP0"
	echo "IP1 eth1: $IP1"
#	echo "MAC eth1/eth1.1: $MAC1"
#	echo "MAC eth1.2: $MAC2"
	
	/sbin/ifconfig eth0 hw ether ${MAC0}
	/sbin/ifconfig eth1 hw ether ${MAC1}
	
#	/sbin/ifconfig eth1.1 hw ether ${MAC1}
#	/sbin/ifconfig eth1.2 hw ether ${MAC1}

	#/sbin/ifconfig eth0 down
	#/sbin/ifconfig eth0 0.0.0.0
	
	/sbin/ifconfig eth1 down
	/sbin/ifconfig eth1 0.0.0.0
	
	/sbin/ifconfig eth0 ${IP0}
	/sbin/ifconfig eth1 ${IP1}
	
	/dnt/tainy/tools/halcl resetsw
	/dnt/tainy/tools/halcl configsw

#	if [ -e "/.production" ];
#	then
#		/sbin/ifconfig eth1.1 up
#		/sbin/ifconfig eth1.2 up
#	else
#		/sbin/ifconfig eth1.1 up
#               /sbin/ifconfig eth1.2 down
#	fi
else
	echo "Config MAC to ether devices failed: No libhal found !"
fi
