# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT3202HALCL) += dnt3202halcl

#
# Paths and names
#
DNT3202HALCL_VERSION	:= 1
DNT3202HALCL_MD5		:=
DNT3202HALCL		:= dnt3202halcl
DNT3202HALCL_URL		:= file://local_src/$(DNT3202HALCL)
DNT3202HALCL_DIR		:= $(BUILDDIR)/$(DNT3202HALCL)
DNT3202HALCL_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/DNT3202halcl.extract:
#	@$(call targetinfo)
#	@$(call clean, $(DNT3202HALCL_DIR))
#	@$(call extract, DNT3202HALCL)
#	@$(call patchin, DNT3202HALCL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#DNT3202HALCL_PATH	:= PATH=$(CROSS_PATH)
DNT3202HALCL_CONF_TOOL	:= NO
DNT3202HALCL_MAKE_ENV	:= $(CROSS_ENV)
#PTXDIST_CROSS_LDFLAGS += -L$(PTXDIST_SYSROOT_TARGET)/usr/lib -lhal -lip4tc

#$(STATEDIR)/DNT3202halcl.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, DNT3202HALCL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/DNT3202halcl.compile:
#	@$(call targetinfo)
#	@$(call world/compile, DNT3202HALCL)	
#	@printenv | grep PTX
#	@-cd $(DNT3202HALCL_DIR) && \
#		$(DNT3202HALCL_ENV) $(DNT3202HALCL_PATH) $(MAKE) halcl
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/DNT3202halcl.install:
#	@$(call targetinfo)
#	@$(call world/install, DNT3202HALCL)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/DNT3202halcl.targetinstall:
	@$(call targetinfo)

	@$(call install_init, DNT3202halcl)
	@$(call install_fixup, DNT3202halcl,PRIORITY,optional)
	@$(call install_fixup, DNT3202halcl,SECTION,base)
	@$(call install_fixup, DNT3202halcl,AUTHOR,"<>")
	@$(call install_fixup, DNT3202halcl,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, DNT3202halcl, 0, 0, 0755, $(DNT3202HALCL_DIR)/halcl, /usr/bin/halcl)

	@$(call install_finish, DNT3202halcl)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/DNT3202halcl.clean:
	@$(call targetinfo)
	@-cd $(DNT3202HALCL_DIR) && \
		$(DNT3202HALCL_ENV) $(DNT3202HALCL_PATH) $(MAKE) clean
	@$(call clean_pkg, DNT3202HALCL)

# vim: syntax=make
