# -*-makefile-*-
#
# Copyright (C) 2015 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8223AUTOIPD) += dnt8223autoipd

DNT8223AUTOIPD_VERSION	:= 1.0
DNT8223AUTOIPD		:= dnt8223autoipd
DNT8223AUTOIPD_URL	:= file://local_src/$(DNT8223AUTOIPD)
DNT8223AUTOIPD_DIR	:= $(BUILDDIR)/$(DNT8223AUTOIPD)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223autoipd.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223autoipd.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223autoipd.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223autoipd.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223autoipd.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223autoipd.targetinstall:
	@$(call targetinfo)
	@$(call install_init, dnt8223autoipd)
	@$(call install_fixup,dnt8223autoipd,PRIORITY,optional)
	@$(call install_fixup,dnt8223autoipd,SECTION,base)
	@$(call install_fixup,dnt8223autoipd,AUTHOR,"<mgo>")
	@$(call install_fixup,dnt8223autoipd,DESCRIPTION,missing)
	@$(call install_copy, dnt8223autoipd, 0, 0, 0644, $(DNT8223AUTOIPD_DIR)/startautoipd.service, \
		/etc/systemd/system/startautoipd.service)
	@$(call install_finish,dnt8223autoipd)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223autoipd.clean:
	@$(call targetinfo)
	@$(call clean_pkg, DNT8223AUTOIPD)

# vim: syntax=make
