# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8223PRODUCTION) += dnt8223production

DNT8223PRODUCTION_VERSION	:= 0.1
DNT8223PRODUCTION		:= dnt8223production
DNT8223PRODUCTION_URL		:= file://local_src/$(DNT8223PRODUCTION)
DNT8223PRODUCTION_DIR		:= $(BUILDDIR)/$(DNT8223PRODUCTION)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223production.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223production.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223production.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223production.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223production.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223production.targetinstall:
	@$(call targetinfo)
	@$(call install_init, dnt8223production)
	@$(call install_fixup,dnt8223production,PRIORITY,optional)
	@$(call install_fixup,dnt8223production,SECTION,base)
	@$(call install_fixup,dnt8223production,AUTHOR,"<mgo>")
	@$(call install_fixup,dnt8223production,DESCRIPTION,missing)

	@$(call install_copy, dnt8223production, 0, 0, 0755, $(DNT8223PRODUCTION_DIR)/cleanup.sh, /usr/bin/cleanup.sh)
	@$(call install_copy, dnt8223production, 0, 0, 0755, $(DNT8223PRODUCTION_DIR)/resetTamper.sh, /usr/bin/resetTamper.sh)
	@$(call install_copy, dnt8223production, 0, 0, 0755, $(DNT8223PRODUCTION_DIR)/relabel.sh, /usr/bin/relabel.sh)
	@$(call install_copy, dnt8223production, 0, 0, 0644, $(DNT8223PRODUCTION_DIR)/.production, /.production)
	@$(call install_copy, dnt8223production, 0, 0, 0644, $(DNT8223PRODUCTION_DIR)/etc/key/rompriv.key, /etc/key/rompriv.key)
	@$(call install_copy, dnt8223production, 0, 0, 0755, $(DNT8223PRODUCTION_DIR)/030_eeprom, /etc/rc.once.d/030_eeprom)

	@$(call install_finish,dnt8223production)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223production.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, DNT8223PRODUCTION)

# vim: syntax=make
