# -*-makefile-*-
#
# Copyright (C) 2013 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8223STARTUP) += dnt8223startup

#
# Paths and names
#
DNT8223STARTUP_VERSION	:= 0.1
DNT8223STARTUP_MD5	:=
DNT8223STARTUP		:= dnt8223startup
DNT8223STARTUP_URL	:= file://local_src/$(DNT8223STARTUP)
DNT8223STARTUP_DIR	:= $(BUILDDIR)/$(DNT8223STARTUP)
DNT8223STARTUP_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223startup.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223startup.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223startup.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223startup.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223startup.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt8223startup)
	@$(call install_fixup, dnt8223startup,PRIORITY,optional)
	@$(call install_fixup, dnt8223startup,SECTION,base)
	@$(call install_fixup, dnt8223startup,AUTHOR,"<>")
	@$(call install_fixup, dnt8223startup,DESCRIPTION,missing)

	@$(call install_copy, dnt8223startup, 0, 0, 0644, $(DNT8223STARTUP_DIR)/dnt8223startup.service, \
		/etc/systemd/system/dnt8223startup.service)

	@$(call install_link, dnt8223startup, /etc/systemd/system/dnt8223startup.service, \
		/etc/systemd/system/multi-user.target.wants/dnt8223startup.service)

ifdef PTXCONF_SIG_ROOTFS
	@openssl dgst -sha256 -sign $(PTXCONF_SIG_KEYFILE) -out $(DNT8223STARTUP_DIR)/dnt8223startup.service.sig $(DNT8223STARTUP_DIR)/dnt8223startup.service
	@$(call install_copy, dnt8223startup, 0, 0, 0644, $(DNT8223STARTUP_DIR)/dnt8223startup.service.sig, /etc/systemd/system/dnt8223startup.service.sig)
	@$(call install_copy, dnt8223startup, 0, 0, 0644, $(DNT8223STARTUP_DIR)/dnt8223startup.service.sig, /etc/systemd/system/multi-user.target.wants/dnt8223startup.service.sig)
#	@echo "/etc/systemd/system/dnt8223startup.service" >> $(ROOTDIR)/etc/signs
#	@echo "/etc/systemd/system/multi-user.target.wants/dnt8223startup.service" >> $(ROOTDIR)/etc/signs
endif

	@$(call install_finish, dnt8223startup)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223startup.clean:
	@$(call targetinfo)
	@$(call clean_pkg, DNT8223STARTUP)

# vim: syntax=make
