# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_IMX28_DUMP) += imx28_dump

#
# Paths and names and versions
#
IMX28_DUMP_VERSION	:= 1.0
IMX28_DUMP		:= imx28_dump
IMX28_DUMP_URL		:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(IMX28_DUMP)
IMX28_DUMP_DIR		:= $(BUILDDIR)/$(IMX28_DUMP)
IMX28_DUMP_LICENSE	:= unknown

ifdef PTXCONF_IMX28_DUMP
$(STATEDIR)/kernel.targetinstall.post: $(STATEDIR)/imx28_dump.targetinstall
endif

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_dump.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_dump.compile:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(IMX28_DUMP_DIR) \
		modules
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_dump.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx28_dump.targetinstall:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(IMX28_DUMP_DIR) \
		modules_install
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/imx28_dump.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, IMX28_DUMP)

# vim: syntax=make
