# -*-makefile-*-
#
# Copyright (C) 2013 by <bba>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_KSZ8863) += ksz8863

#
# Paths and names
#
KSZ8863_VERSION	:= 1.0
KSZ8863_MD5		:=
KSZ8863		:= ksz8863
KSZ8863_URL		:= file://local_src/$(KSZ8863)
KSZ8863_DIR		:= $(BUILDDIR)/$(KSZ8863)
KSZ8863_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/ksz8863.extract:
#	@$(call targetinfo)
#	@$(call clean, $(KSZ8863_DIR))
#	@$(call extract, KSZ8863)
#	@$(call patchin, KSZ8863)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#KSZ8863_PATH	:= PATH=$(CROSS_PATH)
KSZ8863_CONF_TOOL	:= NO
KSZ8863_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/ksz8863.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, KSZ8863)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/ksz8863.compile:
#	@$(call targetinfo)
#	@$(call world/compile, KSZ8863)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/ksz8863.install:
#	@$(call targetinfo)
#	@$(call world/install, KSZ8863)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ksz8863.targetinstall:
	@$(call targetinfo)

	@$(call install_init, ksz8863)
	@$(call install_fixup, ksz8863,PRIORITY,optional)
	@$(call install_fixup, ksz8863,SECTION,base)
	@$(call install_fixup, ksz8863,AUTHOR,"<bba>")
	@$(call install_fixup, ksz8863,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#

	@$(call install_copy, ksz8863, 0, 0, 0755, $(KSZ8863_DIR)/ksz8863_util, /usr/bin/ksz8863_util)
	@cp $(KSZ8863_DIR)/spi-ksz8863.h $(PTXDIST_SYSROOT_TARGET)/usr/include/ksz8863.h
	@$(call install_finish, ksz8863)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/ksz8863.clean:
	@$(call targetinfo)
	@-cd $(KSZ8863_DIR) && \
		$(KSZ8863_ENV) $(KSZ8863_PATH) $(MAKE) clean
	@$(call clean_pkg, KSZ8863)

# vim: syntax=make
