# -*-makefile-*-
#
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MARVEL6071) += marvel6071

#
# Paths and names
#
MARVEL6071_VERSION	:= 0.01
MARVEL6071		    := marvel6071
MARVEL6071_URL		:= file://local_src/$(MARVEL6071)
#MARVEL6071_SOURCE	:= $(MARVEL6071_URL)
MARVEL6071_DIR		:= $(BUILDDIR)/$(MARVEL6071)
MARVEL6071_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(MARVEL6071_SOURCE):
#	@$(call targetinfo)
#	@$(call get, MARVEL6071)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#MARVEL6071_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#MARVEL6071_CONF_TOOL	:= autoconf
#MARVEL6071_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/marvel6071.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(MARVEL6071_DIR)/config.cache)
#	cd $(MARVEL6071_DIR) && \
#		$(MARVEL6071_PATH) $(MARVEL6071_ENV) \
#		./configure $(MARVEL6071_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/marvel6071.compile:
	@$(call targetinfo)
#	@$(call world/compile, MARVEL6071)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/marvel6071.install:
	@$(call targetinfo)
#	@$(call world/install, MARVEL6071)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/marvel6071.targetinstall:
	@$(call targetinfo)

	@$(call install_init, marvel6071)
	@$(call install_fixup,marvel6071,PRIORITY,optional)
	@$(call install_fixup,marvel6071,SECTION,base)
	@$(call install_fixup,marvel6071,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup,marvel6071,DESCRIPTION,missing)
#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
#ifdef PTXCONF_MARVEL6071
#	@$(call install_copy, marvel6071, 0, 0, 0640, \
#		$(PTXDIST_WORKSPACE)/local_src/etc/systemd/system/dnt3202startup.service, \
#		/etc/systemd/system/dnt3202startup.service)
#endif
#	@$(call install_copy, marvel6071, 0, 0, 0755, $(MARVEL6071_DIR)/configure_switch.sh, /usr/local/bin/configure_switch.sh)
	@$(call install_copy, marvel6071, 0, 0, 0755, $(MARVEL6071_DIR)/enable_switch.sh, /usr/local/bin/enable_switch.sh)
#	@$(call install_copy, marvel6071, 0, 0, 0755, $(MARVEL6071_DIR)/enable_my_bridge.sh, /usr/local/bin/enable_my_bridge.sh)
#	@$(call install_copy, marvel6071, 0, 0, 0755, $(MARVEL6071_DIR)/dsa_stp.sh, /usr/local/bin/dsa_stp.sh)
	@$(call install_copy, marvel6071, 0, 0, 0755, $(MARVEL6071_DIR)/switch_port.sh, /usr/local/bin/switch_port.sh)

ifdef PTXCONF_MARVEL6071
	@$(call install_copy, marvel6071, 0, 0, 0755, $(MARVEL6071_DIR)/enable_switch.sh, /usr/local/bin/enable_switch.sh)
	@$(call install_copy, marvel6071, 0, 0, 0640, $(MARVEL6071_DIR)/configure_switch.sh, /usr/local/bin/configure_switch.sh)
endif

	@$(call install_copy, marvel6071, 0, 0, 0755, $(MARVEL6071_DIR)/configure_switch.sh, /usr/local/bin/configure_switch.sh)
	@$(call install_copy, marvel6071, 0, 0, 0755, $(MARVEL6071_DIR)/enable_switch.sh, /usr/local/bin/enable_switch.sh)
	@$(call install_copy, marvel6071, 0, 0, 0755, $(MARVEL6071_DIR)/enable_my_bridge.sh, /usr/local/bin/enable_my_bridge.sh)

	#@$(call install_copy, marvel6071, 0, 0, 0755, $(DNT3202STARTUP_DIR)/foobar, /dev/null)

	@$(call install_finish, marvel6071)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/marvel6071.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, MARVEL6071)

# vim: syntax=make
