# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MTD_READTEST2) += mtd_readtest2

#
# Paths and names and versions
#
MTD_READTEST2_VERSION	:= 1.0
MTD_READTEST2		:= mtd_readtest2
MTD_READTEST2_URL		:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(MTD_READTEST2)
MTD_READTEST2_DIR		:= $(BUILDDIR)/$(MTD_READTEST2)
MTD_READTEST2_LICENSE	:= unknown

ifdef PTXCONF_MTD_READTEST2
$(STATEDIR)/kernel.targetinstall.post: $(STATEDIR)/mtd_readtest2.targetinstall
endif

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/mtd_readtest2.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/mtd_readtest2.compile:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(MTD_READTEST2_DIR) \
		modules
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mtd_readtest2.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mtd_readtest2.targetinstall:
	@$(call targetinfo)
	$(KERNEL_PATH) $(KERNEL_ENV) $(MAKE) $(KERNEL_MAKEVARS) \
		-C $(KERNEL_DIR) \
		M=$(MTD_READTEST2_DIR) \
		modules_install
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/mtd_readtest2.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, MTD_READTEST2)

# vim: syntax=make
