# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PHS8_GPRS_CONNECT) += phs8_gprs_connect

#
# Paths and names
#
PHS8_GPRS_CONNECT_VERSION	:= 0.01
PHS8_GPRS_CONNECT		:= phs8_gprs_connect
PHS8_GPRS_CONNECT_URL		:= file://local_src/$(PHS8_GPRS_CONNECT)
#PHS8_GPRS_CONNECT_SOURCE	:= $(SRCDIR)/$(PHS8_GPRS_CONNECT).$(PHS8_GPRS_CONNECT_SUFFIX)
PHS8_GPRS_CONNECT_DIR		:= $(BUILDDIR)/$(PHS8_GPRS_CONNECT)
PHS8_GPRS_CONNECT_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(PHS8_GPRS_CONNECT_SOURCE):
#	@$(call targetinfo)
#	@$(call get, PHS8_GPRS_CONNECT)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#PHS8_GPRS_CONNECT_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#PHS8_GPRS_CONNECT_CONF_TOOL	:= autoconf
#PHS8_GPRS_CONNECT_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/phs8_gprs_connect.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(PHS8_GPRS_CONNECT_DIR)/config.cache)
#	cd $(PHS8_GPRS_CONNECT_DIR) && \
#		$(PHS8_GPRS_CONNECT_PATH) $(PHS8_GPRS_CONNECT_ENV) \
#		./configure $(PHS8_GPRS_CONNECT_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/phs8_gprs_connect.compile:
	@$(call targetinfo)
#	@$(call world/compile, PHS8_GPRS_CONNECT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phs8_gprs_connect.install:
	@$(call targetinfo)
#	@$(call world/install, PHS8_GPRS_CONNECT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phs8_gprs_connect.targetinstall:
	@$(call targetinfo)

	@$(call install_init, phs8_gprs_connect)
	@$(call install_fixup,phs8_gprs_connect,PRIORITY,optional)
	@$(call install_fixup,phs8_gprs_connect,SECTION,base)
	@$(call install_fixup,phs8_gprs_connect,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup,phs8_gprs_connect,DESCRIPTION,missing)
#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish

ifdef PTXCONF_PHS8_GPRS_CONNECT
	@$(call install_copy, phs8_gprs_connect, 0, 0, 0640, $(PHS8_GPRS_CONNECT_DIR)/GPRS_Connect.sh, /usr/local/bin/GPRS_Connect.sh)
endif

	@$(call install_copy, phs8_gprs_connect, 0, 0, 0755, $(PHS8_GPRS_CONNECT_DIR)/GPRS_Connect.sh, /usr/local/bin/GPRS_Connect.sh)

	#@$(call install_copy, phs8_gprs_connect, 0, 0, 0755, $(PHS8_GPRS_CONNECT_DIR)/foobar, /dev/null)

	@$(call install_finish, phs8_gprs_connect)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/phs8_gprs_connect.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, PHS8_GPRS_CONNECT)

# vim: syntax=make
