# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_RLOG) += rlog

#
# Paths and names
#
RLOG_VERSION	:= 1.4
RLOG_MD5		:=
RLOG		:= rlog-$(RLOG_VERSION)
RLOG_SUFFIX	:= tar.gz
RLOG_URL		:= /$(RLOG).$(RLOG_SUFFIX)
RLOG_SOURCE	:= $(SRCDIR)/$(RLOG).$(RLOG_SUFFIX)
RLOG_DIR		:= $(BUILDDIR)/$(RLOG)
RLOG_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(RLOG_SOURCE):
#	@$(call targetinfo)
#	@$(call get, RLOG)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#RLOG_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
RLOG_CONF_TOOL	:= autoconf
RLOG_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

$(STATEDIR)/rlog.prepare:
	@$(call targetinfo)
	@$(call clean, $(RLOG_DIR)/config.cache)
	cd $(RLOG_DIR) && \
		$(RLOG_PATH) $(RLOG_ENV) \
		./configure $(RLOG_CONF_OPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/rlog.compile:
#	@$(call targetinfo)
#	@$(call world/compile, RLOG)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/rlog.install:
#	@$(call targetinfo)
#	@$(call world/install, RLOG)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/rlog.targetinstall:
	@$(call targetinfo)

	@$(call install_init, rlog)
	@$(call install_fixup, rlog,PRIORITY,optional)
	@$(call install_fixup, rlog,SECTION,base)
	@$(call install_fixup, rlog,AUTHOR,"<mgo>")
	@$(call install_fixup, rlog,DESCRIPTION,missing)

#	@$(call install_copy, rlog, 0, 0, 0755, $(RLOG_DIR)/foobar, /dev/null)
	@$(call install_lib, rlog, 0, 0, 0644, librlog)

	@$(call install_finish, rlog)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/rlog.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, RLOG)

# vim: syntax=make
