# -*-makefile-*-
#
# Copyright (C) 2015 by oliver.graute@neuhaus.de
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TAINY_SNMP_MIBS) += tainy_snmp_mibs

#
# Paths and names
#
TAINY_SNMP_MIBS_VERSION	:= 0.0.1
TAINY_SNMP_MIBS_MD5		:=
TAINY_SNMP_MIBS		:= tainy_snmp_mibs
TAINY_SNMP_MIBS_SUFFIX	:= 
TAINY_SNMP_MIBS_URL		:= file://local_src/$(TAINY_SNMP_MIBS)
#TAINY_SNMP_MIBS_SOURCE	:= $(SRCDIR)/$(TAINY_SNMP_MIBS)
TAINY_SNMP_MIBS_DIR		:= $(BUILDDIR)/$(TAINY_SNMP_MIBS)
TAINY_SNMP_MIBS_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(TAINY_SNMP_MIBS_SOURCE):
#	@$(call targetinfo)
#	@$(call get, TAINY_SNMP_MIBS)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TAINY_SNMP_MIBS_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#TAINY_SNMP_MIBS_CONF_TOOL	:= autoconf
#TAINY_SNMP_MIBS_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/tainy_snmp_mibs.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(TAINY_SNMP_MIBS_DIR)/config.cache)
#	cd $(TAINY_SNMP_MIBS_DIR) && \
#		$(TAINY_SNMP_MIBS_PATH) $(TAINY_SNMP_MIBS_ENV) \
#		./configure $(TAINY_SNMP_MIBS_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/tainy_snmp_mibs.compile:
	@$(call targetinfo)
#	@$(call world/compile, TAINY_SNMP_MIBS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/tainy_snmp_mibs.install:
	@$(call targetinfo)
#	@$(call world/install, TAINY_SNMP_MIBS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/tainy_snmp_mibs.targetinstall:
	@$(call targetinfo)

	@$(call install_init, tainy_snmp_mibs)
	@$(call install_fixup, tainy_snmp_mibs,PRIORITY,optional)
	@$(call install_fixup, tainy_snmp_mibs,SECTION,base)
	@$(call install_fixup, tainy_snmp_mibs,AUTHOR,"oliver.graute@neuhaus.de")
	@$(call install_fixup, tainy_snmp_mibs,DESCRIPTION,missing)

	@$(call install_copy, tainy_snmp_mibs, 0, 0, 0644, $(TAINY_SNMP_MIBS_DIR)/BRIDGE-MIB.txt, /usr/share/snmp/mibs/BRIDGE-MIB.txt)
	@$(call install_copy, tainy_snmp_mibs, 0, 0, 0644, $(TAINY_SNMP_MIBS_DIR)/TAINY-MIB.txt, /usr/share/snmp/mibs/TAINY-MIB.txt)
	@$(call install_copy, tainy_snmp_mibs, 0, 0, 0644, $(TAINY_SNMP_MIBS_DIR)/NET-SNMP-VACM-MIB.txt, /usr/share/snmp/mibs/NET-SNMP-VACM-MIB.txt)
	@$(call install_copy, tainy_snmp_mibs, 0, 0, 0644, $(TAINY_SNMP_MIBS_DIR)/Q-BRIDGE-MIB.txt, /usr/share/snmp/mibs/Q-BRIDGE-MIB.txt)
	@$(call install_copy, tainy_snmp_mibs, 0, 0, 0644, $(TAINY_SNMP_MIBS_DIR)/Q-BRIDGE-MIB.txt, /usr/share/snmp/mibs/ENTITY-MIB.txt)

	@$(call install_finish, tainy_snmp_mibs)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/tainy_snmp_mibs.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, TAINY_SNMP_MIBS)

# vim: syntax=make
