# -*-makefile-*-
#
# Copyright (C) 2013 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TARLIB) += tarlib

#
# Paths and names
#
TARLIB_VERSION	:= 1
TARLIB_MD5		:=
TARLIB		:= tarlib
TARLIB_URL		:= file://local_src/$(TARLIB)
TARLIB_DIR		:= $(BUILDDIR)/$(TARLIB)
TARLIB_LICENSE	:= Creative Commons Attribution-ShareAlike (CC BY-SA)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/tarlib.extract:
#	@$(call targetinfo)
#	@$(call clean, $(TARLIB_DIR))
#	@$(call extract, TARLIB)
#	@$(call patchin, TARLIB)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TARLIB_PATH	:= PATH=$(CROSS_PATH)
TARLIB_CONF_TOOL	:= NO
TARLIB_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/tarlib.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, TARLIB)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/tarlib.compile:
#	@$(call targetinfo)
#	@$(call world/compile, TARLIB)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/tarlib.install:
#	@$(call targetinfo)
#	@$(call world/install, TARLIB)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/tarlib.targetinstall:
	@$(call targetinfo)

	@$(call install_init, tarlib)
	@$(call install_fixup, tarlib,PRIORITY,optional)
	@$(call install_fixup, tarlib,SECTION,base)
	@$(call install_fixup, tarlib,AUTHOR,"<>")
	@$(call install_fixup, tarlib,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, tarlib, 0, 0, 0640, $(TARLIB_DIR)/libtar.so, /usr/lib/libtar.so)
	@cp $(TARLIB_DIR)/tarlib.h $(PTXDIST_SYSROOT_TARGET)/usr/include
	@cp $(TARLIB_DIR)/libtar.so $(PTXDIST_SYSROOT_TARGET)/usr/lib

	@$(call install_finish, tarlib)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/tarlib.clean:
	@$(call targetinfo)
	@-cd $(TARLIB_DIR) && \
		$(TARLIB_ENV) $(TARLIB_PATH) $(MAKE) clean
	@$(call clean_pkg, TARLIB)

# vim: syntax=make
