# -*-makefile-*-
#
# Copyright (C) 2013 by <BBa>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TEST_EEPROM) += test_eeprom

#
# Paths and names
#
TEST_EEPROM_VERSION	:= 1.0
TEST_EEPROM_MD5		:=
TEST_EEPROM		:= test_eeprom
TEST_EEPROM_URL		:= file://local_src/$(TEST_EEPROM)
TEST_EEPROM_DIR		:= $(BUILDDIR)/$(TEST_EEPROM)
TEST_EEPROM_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_eeprom.extract:
#	@$(call targetinfo)
#	@$(call clean, $(TEST_EEPROM_DIR))
#	@$(call extract, TEST_EEPROM)
#	@$(call patchin, TEST_EEPROM)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TEST_EEPROM_PATH	:= PATH=$(CROSS_PATH)
TEST_EEPROM_CONF_TOOL	:= NO
TEST_EEPROM_MAKE_ENV	:= $(CROSS_ENV)

#$(STATEDIR)/test_eeprom.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, TEST_EEPROM)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_eeprom.compile:
#	@$(call targetinfo)
#	@$(call world/compile, TEST_EEPROM)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_eeprom.install:
#	@$(call targetinfo)
#	@$(call world/install, TEST_EEPROM)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/test_eeprom.targetinstall:
	@$(call targetinfo)

	@$(call install_init, test_eeprom)
	@$(call install_fixup, test_eeprom,PRIORITY,optional)
	@$(call install_fixup, test_eeprom,SECTION,base)
	@$(call install_fixup, test_eeprom,AUTHOR,"<BBa>")
	@$(call install_fixup, test_eeprom,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, test_eeprom, 0, 0, 0755, $(TEST_EEPROM_DIR)/test_eeprom, /usr/bin/test_eeprom)

# copy public eeprom key to /etc/key/
	@$(call install_copy, test_eeprom, 0, 0, 0640, $(TEST_EEPROM_DIR)/rsa_eep_public.pem, /etc/key/rsa_eep_public.pem)

	@$(call install_finish, test_eeprom)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/test_eeprom.clean:
	@$(call targetinfo)
	@-cd $(TEST_EEPROM_DIR) && \
		$(TEST_EEPROM_ENV) $(TEST_EEPROM_PATH) $(MAKE) clean
	@$(call clean_pkg, TEST_EEPROM)

# vim: syntax=make
