# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TEST_LEDS) += test_leds

#
# Paths and names
#
TEST_LEDS_VERSION	:= 0.01
TEST_LEDS_MD5		:=
TEST_LEDS	    	:= test_leds
TEST_LEDS_SUFFIX	:= 
TEST_LEDS_URL		:= file://local_src/$(TEST_LEDS)
#TEST_LEDS_SOURCE	:= $(SRCDIR)/$(TEST_LEDS)
TEST_LEDS_DIR		:= $(BUILDDIR)/$(TEST_LEDS)
TEST_LEDS_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(TEST_LEDS_SOURCE):
#	@$(call targetinfo)
#	@$(call get, TEST_LEDS)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#TEST_LEDS_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#TEST_LEDS_CONF_TOOL	:= autoconf
#TEST_LEDS_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/test_leds.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(TEST_LEDS_DIR)/config.cache)
#	cd $(TEST_LEDS_DIR) && \
#		$(TEST_LEDS_PATH) $(TEST_LEDS_ENV) \
#		./configure $(TEST_LEDS_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/test_leds.compile:
	@$(call targetinfo)
#	@$(call world/compile, TEST_LEDS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/test_leds.install:
	@$(call targetinfo)
#	@$(call world/install, TEST_LEDS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/test_leds.targetinstall:
	@$(call targetinfo)

	@$(call install_init, test_leds)
	@$(call install_fixup,test_leds,PRIORITY,optional)
	@$(call install_fixup,test_leds,SECTION,base)
	@$(call install_fixup,test_leds,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup,test_leds,DESCRIPTION,missing)

ifdef PTXCONF_TEST_LEDS
	@$(call install_copy, test_leds, 0, 0, 0755, $(TEST_LEDS_DIR)/configure_leds.sh, /usr/local/bin/configure_leds.sh)
endif

	@$(call install_copy, test_leds, 0, 0, 0755, $(TEST_LEDS_DIR)/configure_leds.sh, /usr/local/bin/configure_leds.sh)

#	@$(call install_copy, test_leds, 0, 0, 0755, $(TEST_LEDS_DIR)/foobar, /dev/null)

	@$(call install_finish, test_leds)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/test_leds.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, TEST_LEDS)

# vim: syntax=make
